



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Java：网络编程</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Java：网络编程</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-02 13:35:37 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><strong>一、因特网地址</strong></p>
<p>　　InetAddress类：实现主机名和因特网地址之间的转换。</p>
<p>　　　　InetAddress address=InetAddress.getByName(String);返回一个InetAddress实例</p>
<p>　　　　InetAddress[] address=InetAddress.getAllByName(host);获取所有主机的地址。</p>
<p>　　　　InetAddress address=InetAddress.getLocalHost();获取本地主机的地址。</p>
<pre class="prettyprint linenums"></pre>
<p>结果为：</p>
<p><strong>一、Socket(套接字)</strong></p>
<p>　　连接原理：</p>
<p>　　<img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/861394/201512/861394-20151230100801526-707951004.png" /></p>
<h3>1、Socket客户端：</h3>
<p>　　Socket s=new Socket(ip,port);打开一个套接字，它是网络编程中的一个抽象概念，负责启动该程序内部和外部之间的通信。如果连接失败，将会抛出一个UnknownHostException异常；如果存才其他问题，将会抛出IOException异常。</p>
<div>
<pre class="prettyprint linenums">　　InputStream inStream=s.getInputStream();用于接收数据。<br />
　　OutputStream outStream=s.getOutputStream();用于发送数据。</pre>
</div>
<h3>2、套接字超时</h3>
<p>　　有两种超时情况：</p>
<p>　　　　1)：从套接字读取信息时，在有数据可供访问之前，读操作将会被堵塞。如类似in.nextLine();</p>
<p>　　　　　　解决办法：调用setSoTimeout方法设置一个超时值。即调用s.setSoTimeout(1000);</p>
<p>　　　　2)：Socket(String host,int port)会一直堵塞，直到建立了到达机主的初始连接为止。(实例化Socket时会堵塞)</p>
<p>　　　　　　解决办法：先构建一个无连接的套接字，然后再使用一个超时来进行连接的方法。即s.connect(new InetSocketAddress(host,port),timeout);</p>
<h3>3、Socket服务器：</h3>
<p>　　它可以向客户端发送消息，一旦启动服务器程序，它便等待某个客户端连接到它的端口。ServerSocket用于建立套接字。</p>
<div>
<pre class="prettyprint linenums">　　ServerSocket s=new ServerSocket(port);创建一个端口<br />
　　Socket incoming=s.accept();告诉服务器不停等待，直到有客户端连接到这个端口，该方法会返回一个Socket对象，用这个对象得到输入、输出流。<br />
　　InputStream inStream=incoming.getInputStream();接收数据<br />
　　OutputStream outStream=incoming.getOutputStream();发送数据</pre>
</div>
<p>　　如果通过套接字发送文本，可以将流转换成扫描器和写入器。</p>
<div>
<pre class="prettyprint linenums">    Scanner in=new Scanner(inStream);<br />
　　PrintWriter out=new PrintWriter(outStream,true);<br />
　　System.out.println("hello....");向客户端发送消息    </pre>
</div>
<p>　　最后要关闭连接进来的套接字。</p>
<div>
<pre class="prettyprint linenums">     incoming.close();关闭套接字　</pre>
</div>
<p>　一个简单的服务器向客户端发送数据报的例子1：</p>
<div>
<pre class="prettyprint linenums"> package socket;<br />
 import java.net.*;<br />
 public class server {<br />
     public static void main(String[] args)throws Exception{<br />
         DatagramSocket server=new DatagramSocket(3000);<br />
         String str="hello";<br />
         DatagramPacket packet=new DatagramPacket(str.getBytes(),str.length(),InetAddress.getLocalHost(),9000);<br />
         server.send(packet);<br />
         server.close();<br />
     }<br />
 }</pre>
</div>
<div>
<pre class="prettyprint linenums">package socket;<br />
import java.net.*;<br />
import java.io.*;<br />
public class client {<br />
    public static void main(String[] args)throws IOException{<br />
        byte[] buf=new byte[1024];<br />
        DatagramPacket packet=new DatagramPacket(buf,1024);<br />
        DatagramSocket client=new DatagramSocket(9000);<br />
        client.receive(packet);<br />
        String str=new String(buf,0,packet.getLength());<br />
        System.out.println(packet.getAddress().getHostName()+":"+str);<br />
        client.close();<br />
    }<br />
}</pre>
</div>
<p>结果为：Feng:hello</p>
<p>例子2：简单的聊天设计</p>
<p>　　服务器端：</p>
<div>
<div>
<pre class="prettyprint linenums"> package socket;

 import java.awt.BorderLayout;<br />
 import java.awt.event.ActionEvent;<br />
 import java.awt.event.ActionListener;<br />
 import java.io.BufferedReader;<br />
 import java.io.InputStreamReader;<br />
 import java.io.PrintStream;<br />
 import java.net.InetAddress;<br />
 import java.net.ServerSocket;<br />
 import java.net.Socket;

 import javax.swing.JButton;<br />
 import javax.swing.JFrame;<br />
 import javax.swing.JPanel;<br />
 import javax.swing.JScrollPane;<br />
 import javax.swing.JTextArea;<br />
 import javax.swing.JTextField;

 @SuppressWarnings("serial")<br />
 public class Server3 extends JFrame{<br />
     static JTextArea area;<br />
     JTextField field;<br />
     JButton button;<br />
     static PrintStream writer;<br />
     public Server3(){<br />
         this.setTitle("服务器");<br />
         this.setSize(400,500);<br />
         area = new JTextArea(25,30);<br />
         area.setEditable(false);<br />
         field = new JTextField(20);<br />
         button = new JButton("提交");<br />
         JPanel panel = new JPanel();<br />
         JScrollPane sp = new JScrollPane(area);<br />
         this.add(sp,BorderLayout.CENTER);<br />
         panel.add(field);<br />
         panel.add(button);<br />
         this.add(panel,BorderLayout.SOUTH);<br />
         this.setVisible(true);<br />
         this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

         button.addActionListener(new ActionListener(){

             @Override<br />
             public void actionPerformed(ActionEvent e) {<br />
                 String text = field.getText();<br />
                 writer.println(text);<br />
                 area.append("我："+text+"\n");<br />
                 field.setText("");<br />
             }<br />
         });<br />
     }<br />
     public static void main(String[] args) throws Exception {<br />
         Server3 s = new Server3();<br />
         ServerSocket server = new ServerSocket(8899);<br />
         System.out.println("开始监听...");<br />
         Socket socket = server.accept();<br />
         InetAddress address = socket.getInetAddress();<br />
         String name = address.getLocalHost().getHostName();<br />
         System.out.println(name+"已连接");<br />
         BufferedReader reader = new BufferedReader(new InputStreamReader(socket.getInputStream()));<br />
         writer = new PrintStream(socket.getOutputStream(), true);<br />
         while (true) {<br />
             String line = null;<br />
             line = reader.readLine();<br />
             if (line != null) {<br />
                     area.append("客户端："+line+"\n");<br />
             }

         }<br />
     }

 }</pre>
</div>
</div>
<p>　　客户端：</p>
<div>
<div>
<pre class="prettyprint linenums"> package socket;<br />
 import java.awt.BorderLayout;<br />
 import java.awt.event.ActionEvent;<br />
 import java.awt.event.ActionListener;<br />
 import java.io.BufferedReader;<br />
 import java.io.InputStreamReader;<br />
 import java.io.OutputStream;<br />
 import java.io.PrintStream;<br />
 import java.io.PrintWriter;<br />
 import java.net.Socket;

 import javax.swing.JButton;<br />
 import javax.swing.JFrame;<br />
 import javax.swing.JPanel;<br />
 import javax.swing.JScrollPane;<br />
 import javax.swing.JTextArea;<br />
 import javax.swing.JTextField;

 public class Client3 extends JFrame{

     static JTextArea area;<br />
     JTextField field;<br />
     JButton button;<br />
     static PrintWriter writer;<br />
     public Client3(){<br />
         this.setTitle("客户端");<br />
         this.setSize(400,500);<br />
         area = new JTextArea(25,30);<br />
         area.setEditable(false);<br />
         field = new JTextField(20);<br />
         button = new JButton("提交");<br />
         JScrollPane sp = new JScrollPane(area);<br />
         JPanel panel = new JPanel();<br />
         this.add(sp,BorderLayout.CENTER);<br />
         panel.add(field);<br />
         panel.add(button);<br />
         this.add(panel,BorderLayout.SOUTH);<br />
         this.setVisible(true);<br />
         this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

         button.addActionListener(new ActionListener(){

             @Override<br />
             public void actionPerformed(ActionEvent e) {<br />
                 String text = field.getText();<br />
                 writer.println(text);<br />
                 area.append("我："+text+"\n");<br />
                 field.setText("");<br />
             }

         });<br />
     }<br />
     public static void main(String[] args) throws Exception{<br />
         Client3 c = new Client3();<br />
         Socket socket = new Socket("127.0.0.1",8899);<br />
         OutputStream out = socket.getOutputStream();<br />
         BufferedReader reader1 = new BufferedReader(new InputStreamReader(socket.getInputStream()));<br />
         writer = new PrintWriter(out,true);<br />
         System.out.println("已经成功和服务器连接...");<br />
         while(true){<br />
             String line = reader1.readLine();<br />
             area.append("服务器："+line+"\n");<br />
         }<br />
     }

 }</pre>
</div>
</div>
<h3>4、为多个客户端服务</h3>
<p>　　当多个客户端连接到服务器时，要用到线程机制。每当程序建立一个新的套接字连接，也就是当调用accept时，将启动一个新的线程来处理服务器和该客户端之间的连接(一个服务器一个线程)，而主程序将返回并等待下一个连接。即执行如下命令：</p>
<div>
<pre class="prettyprint linenums">        while(true){<br />
　　　　　　Socket incoming=s.accpet();<br />
　　　　　　Runnable r=new  ThreadEchoHandler(incoming);　　　<br />
　<br />
　　　　　　Thread t=new Thread(r);<br />
　　　　　　t.start();<br />
　　　　}    </pre>
</div>
<p>例子：</p>
<div>
<div>
<pre class="prettyprint linenums"> package socket;<br />
 import java.net.*;<br />
 import java.io.*;<br />
 import java.util.*;<br />
 public class server1 {<br />
     public static void main(String[] args)throws Exception{<br />
         try{int i=1;<br />
             ServerSocket s=new ServerSocket(9000);<br />
             while(true){<br />
                 Socket incoming=s.accept();<br />
                 PrintWriter out=new PrintWriter(incoming.getOutputStream(),true);<br />
                 Runnable r=new ThreadedEchoHandler(incoming);<br />
                 Thread t=new Thread(r);<br />
                 t.start();<br />
                 i++;<br />
                 Scanner in=new Scanner(System.in);<br />
                 while(in.hasNextLine()){<br />
                     System.out.println(in.nextLine());<br />
                 }<br />
             }<br />
         }catch(Exception e){e.printStackTrace();}<br />
     }<br />
 }<br />
 class ThreadedEchoHandler implements Runnable{<br />
     private Socket s;<br />
     public ThreadedEchoHandler(Socket i){<br />
         s=i;<br />
     }<br />
     public void run(){<br />
         try{<br />
             try{<br />
                 Scanner in=new Scanner(s.getInputStream());<br />
                 String str=null;<br />
                 while(true){<br />
                     str=in.nextLine();<br />
                     System.out.println("客户端说："+str);<br />
                 }<br />
             }<br />
             finally{s.close();}<br />
         }<br />
         catch(Exception e){e.printStackTrace();}<br />
     }<br />
 }</pre>
</div>
</div>
<div>
<div>
<pre class="prettyprint linenums"> package socket;<br />
 import java.net.*;<br />
 import java.io.*;<br />
 import java.util.*;<br />
 public class clent1 {<br />
     public static void main(String[] args)throws Exception{<br />
         try{int i=1;Socket s=new Socket("localhost",9000);<br />
             while(true){<br />
                 PrintWriter out=new PrintWriter(s.getOutputStream(),true);<br />
                 Runnable r=new ThreadedEchoHandler1(s);<br />
                 Thread t=new Thread(r);<br />
                 t.start();<br />
                 i++;<br />
                 Scanner in=new Scanner(System.in);<br />
                 while(in.hasNextLine()){<br />
                     System.out.println(in.nextLine());<br />
                 }<br />
             }<br />
         }catch(Exception e){e.printStackTrace();}<br />
     }<br />
 }<br />
 class ThreadedEchoHandler1 implements Runnable{<br />
     private Socket s;<br />
     public ThreadedEchoHandler1(Socket i){<br />
         s=i;<br />
     }<br />
     public void run(){<br />
         try{<br />
             try{<br />
                 Scanner in=new Scanner(s.getInputStream());<br />
                 String str=null;<br />
                 while(true){<br />
                     str=in.nextLine();<br />
                     System.out.println("客户端"+s+"说："+str);<br />
                 }<br />
             }<br />
             finally{s.close();}<br />
         }<br />
         catch(Exception e){e.printStackTrace();}<br />
     }<br />
 }</pre>
</div>
</div>
<h3>5、半关闭</h3>
<p>　　当我们在向服务器发送数据时，但并不知道要传输多少数据。在向文件写数据时，我们需要在写入后关闭文件即可。但是，如果关闭了一个套接字，那么与服务器就立刻断开了，因而无法读取服务器响应了。用半关闭的方法解决上述问题。可以通过关闭一个套接字的输出流来表示发送给服务器的请求数据已经结束，但是必须保持输入流处于打开状态。</p>
<p>socket.shutdownOutput();关闭输出流。</p>
<p>　　例如：客户端发送hello给服务器后，关闭输出流，服务器收到后，关闭输入流，等待5秒后，向客户端发送ECHO hello。</p>
<div>
<div>
<pre class="prettyprint linenums"> package socket;<br />
 import java.io.PrintWriter;<br />
 import java.net.*;<br />
 import java.util.Scanner;

 public class server {<br />
     public static void main(String[] args)throws Exception{<br />
         ServerSocket server=new ServerSocket(9000);<br />
         Socket s=server.accept();<br />
         Scanner in=new Scanner(s.getInputStream());<br />
         PrintWriter out=new PrintWriter(s.getOutputStream());<br />
         String str=in.nextLine();<br />
         System.out.println(str);<br />
         s.shutdownInput();<br />
         System.out.println("关闭输入流");<br />
         Thread.sleep(5000);<br />
         out.println("ECHO"+str);<br />
         s.close();<br />
     }<br />
 }</pre>
</div>
</div>
<div>
<div>
<pre class="prettyprint linenums"> package socket;<br />
 import java.net.*;<br />
 import java.util.Scanner;<br />
 import java.io.*;<br />
 public class client {<br />
     public static void main(String[] args)throws IOException{<br />
         Socket s=new Socket("localhost",9000);<br />
         Scanner in=new Scanner(s.getInputStream());<br />
         PrintWriter out=new PrintWriter(s.getOutputStream());<br />
         out.println("hello");<br />
         s.shutdownOutput();<br />
         System.out.println("关闭连接");<br />
         while(in.hasNextLine()){<br />
             System.out.println(in.nextLine());<br />
         }<br />
         s.close();<br />
     }<br />
 }</pre>
</div>
</div>
<h3>6、可中断套接字</h3>
<p>　　用户希望在任何时刻都可以中断套接字连接，可以考虑可中断套接字连接机制。java.nio包提供了SocketChannel类。</p>
<p>　　　　Socket(Channel channel)=SocketChanne.open(new InetSocketAddress(host,port));打开SocketChannel:</p>
<p>　　通道(channel)并没有与之关联的流。实际上，它所拥有的read和write方法都是通过使用Bufffer对象实现的。如果不想处理缓冲区，可以使用Scanner类从SocketChannel中读取信息。即：</p>
<p>　　　　Scanner in=new Scanner(channel);</p>
<p>　　通过调用静态方法Channels.newOutputStream，可以将通道转换成输出流。</p>
<p>　　　　OutputStream outStream=Channels.newOutputStream(channel);　　　</p>
<p><strong>&nbsp;三、获取Web数</strong></p>
<h3><strong>1、URI</strong></h3>
<p>　　1)：URI:统一资源标识符，用于标识一个web资源，包含了两个部分。</p>
<p>　　　　(1)URL:统一资源定位符。能够精确的定位数据的URI</p>
<p>　　　　(2)URN:统一资源名称。除了URL的URI</p>
<p>　　在java中URI和URL是分开的两个类，URI类专门用于解析，URL用于通信。</p>
<p>　　2)：URI的分类</p>
<p>　　　　绝对和相对：</p>
<p>　　　　　　(1)绝对URI是指有确定的协议。比如http,ftp。后面以/进行分隔</p>
<p>　　　　　　(2)相对URI是没有scheme的。</p>
<p>　　　　透明和不透明：</p>
<p>　　　　　　不透明URI是不能够被解析的URI。不透明URI是绝对URI。scheme后面的部分不是以/进行分割。</p>
<p>　　　　分层和不分层：</p>
<p>　　　　　　分层是绝对透明URI或相对URI。所有的网页端口都是80；</p>
<p>　　3)：URI的作用</p>
<p>　　　　(1)解析：解析标识符并将它分解成各种不同的组成部分。</p>
<p>　　　　　　　URI的格式：[<em>scheme</em><tt><strong>:</strong></tt>]<em>scheme-specific-part</em>[#<tt></tt><em>fragment</em>]</p>
<p>　　　　　　　　scheme表示用的协议，可以是http\https\ftp\file等。</p>
<p>　　　　　　　　scheme-specific-part是其余部分</p>
<p>　　　　　　常用的方法：</p>
<p>　　　　　　　　getScheme()获得scheme;</p>
<p>　　　　　　　　getSchemeSpecificPart()；</p>
<p>　　　　　　　　getPath()</p>
<p>　　　　　　　　getAuthority()</p>
<p>　　　　(2)转换：处理绝对标识符和相对标识符，实现转换。</p>
<p>　　　　　　URI类同时支持以下两个操作：relative和combined</p>
<p><strong>　　示例代码：</strong></p>
<p>　　　　任务1：取得特定网址的html代码。</p>
<p>　　　　任务2：分析地址信息。</p>
<p>　　　　任务3：绝对地址和相对地址转换</p>
<div>
<div>
<pre class="prettyprint linenums"> package socket;<br />
 import java.net.*;<br />
 import java.util.Scanner;<br />
 public class URItest {<br />
     public static void main(String[] args)throws Exception{<br />
             URL url=new URL("http://www.yinyuetai.com");<br />
             Scanner in=new Scanner(url.openStream());<br />
             while(in.hasNextLine()){<br />
                 String str=in.nextLine();<br />
                 System.out.println(str);<br />
             }

     URI uri=new URI("http://www.cnblogs.com/liuzhongfeng");<br />
     System.out.println(uri.getScheme());<br />
     System.out.println(uri.getSchemeSpecificPart());<br />
     System.out.println(uri.getAuthority());<br />
     System.out.println(uri.getUserInfo());<br />
     System.out.println(uri.getHost());<br />
     System.out.println(uri.getPort());<br />
     System.out.println(uri.getPath());<br />
     System.out.println(uri.getQuery());<br />
     System.out.println(uri.getFragment());<br />
     String str="/p/5084309";<br />
     URI combined=uri.resolve(str);<br />
     System.out.println(combined.getScheme()+combined.getSchemeSpecificPart());<br />
     URI relative=uri.relativize(new URI(str));<br />
     System.out.println(relative.getSchemeSpecificPart());

     }<br />
 }</pre>
</div>
</div>
<div>
<div>
<pre class="prettyprint linenums"> &lt;!DOCTYPE HTML&gt;<br />
 &lt;html lang="zh-cmn-Hans"&gt;<br />
 &lt;head&gt;<br />
     &lt;meta charset="UTF-8"&gt;<br />
     &lt;meta name="keywords" content="MV,MTV,楂樻竻MV,MV涓嬭浇,楂樻竻MTV涓嬭浇,MV鍏嶈垂涓嬭浇,楂樻竻MV鍏嶈垂涓嬭浇,MV瑙嗛,闊充箰MV,鍦ㄧ嚎瑙傜湅,MV鎵嬫満鍏嶈垂涓嬭浇,瑙嗛,鍦ㄧ嚎瑙嗛MTV,鍙ｈ路FAN"/&gt;<br />
     &lt;meta name="description" content="闊虫偊Tai-鍏ㄧ悆鏈?澶х殑楂樻竻MV缃戠珯锛屾彁渚涢珮鍝佽川闊充箰瑙嗛鍦ㄧ嚎瑙傜湅鏈嶅姟銆傚悓鏃朵篃鏄浗鍐呮渶澶х殑绮変笣绀惧尯锛岃秴杩?2000涓囬煶涔愮埍濂借?呭湪杩欓噷鑱氶泦銆?"/&gt;<br />
     &lt;meta name="viewport" content="width=1002"&gt;<br />
     &lt;meta name="baidu-site-verification" content="d23b76SBuk"/&gt;<br />
     &lt;meta name="baidu-tc-cerfication" content="ffb166fcdf37d755dda2b0bd0e707808"/&gt;<br />
     &lt;meta property="qc:admins" content="647506777761161554116375"/&gt;<br />
     &lt;link rel="search" type="application/opensearchdescription+xml" title="闊虫偊鍙癕V鎼滅储" href="/glossary/yyt_glossary.xml"/&gt;<br />
     &lt;title&gt;闊虫偊Tai-鍙ｈ路FAN-鐪嬪ソ闊充箰&lt;/title&gt;<br />
     &lt;link href="http://s.yytcdn.com/201512221437/css/common.css" rel="stylesheet" type="text/css"&gt;<br />
     &lt;link href="http://s.yytcdn.com/201512221437/css/app/main/index.css" rel="stylesheet" type="text/css"&gt;

 &lt;meta name="apple-itunes-app" content="app-id=767238876"/&gt;<br />
 &lt;script src="http://s.yytcdn.com/v2/js/require.2.1.9-jquery.1.10.2-underscore.1.5.2-backbone.1.0.0.js"&gt;&lt;/script&gt;<br />
 &lt;script&gt;<br />
     var _hmt = [];<br />
     var Y = Y || {}, config = config || {};<br />
     Y.jsBaseUrl = "http://s.yytcdn.com/201512221437/js/";<br />
     Y.domains = {<br />
         urlStatic : "http://s.yytcdn.com",<br />
         loginSite : "http://login.yinyuetai.com",<br />
         mainSite : "http://www.yinyuetai.com",<br />
         mvSite : "http://mv.yinyuetai.com",<br />
         homeSite : "http://i.yinyuetai.com",<br />
         vchartSite : "http://vchart.yinyuetai.com",<br />
         commentSite : "http://comment.yinyuetai.com",<br />
         playlistSite : "http://pl.yinyuetai.com",<br />
         searcresiehSite : "http://so.yinyuetai.com",<br />
         vSite : "http://v.yinyuetai.com",<br />
         fanSite : "",<br />
         paySite : "",<br />
         tradeSite : "",<br />
         shopSite : "",<br />
         vipSite : ""<br />
     };<br />
     Y.swfs = {<br />
         mvplayer : "http://s.yytcdn.com/swf/common/mvplayer.swf?t=2015110713",<br />
         playerloader : "http://s.yytcdn.com/swf/common/playerloader.swf?rev",<br />
         explayer : "http://s.yytcdn.com/swf/common/explayer.swf?rev",<br />
         markerlocation : 'http://s.yytcdn.com/swf/common/marker.swf?rev'<br />
     };<br />
     Y.comment = {};<br />
     flashObj = {};<br />
 &lt;/script&gt;<br />
 &lt;script src="http://s.yytcdn.com/201512221437/js/common.js"&gt;&lt;/script&gt;<br />
 &lt;script src="https://api.geetest.com/get.php"&gt;&lt;/script&gt;<br />
 &lt;script type="text/javascript"&gt;<br />
     Y.pcpusher = typeof Y.pcpusher === "undefined" ? true : Y.pcpusher; //榛樿鏄剧ず<br />
     Y.returntop = true;<br />
     $(function() {<br />
         if (!Y.isLoadByPartner) {<br />
             require(["prober"], function(prober) {<br />
                 setTimeout(function() {<br />
                     var n = "pc, mac";<br />
                     if (n.indexOf(prober.device.name) !== -1) {<br />
                         if (Y.returntop) {<br />
                             require(['modules/yinyuetai/returntop']);<br />
                         }<br />
                         if (Y.pcpusher) {<br />
                             require(['modules/yinyuetai/pcpusher']);<br />
                         }<br />
                     }<br />
                 }, 1500)<br />
             });<br />
         }<br />
     })<br />
 &lt;/script&gt;<br />
 &lt;script&gt;<br />
     require(['juicer', 'uri'], function(juicer, Uri) {<br />
         var uri = new Uri(location.href);

         juicer.register('tongji_link', function(link, index) {<br />
             if (uri.getQueryParamValue('f')) {<br />
                 return link + '?f=' + uri.getQueryParamValue('f') + '-' + (parseInt(index) + 1);<br />
             } else {<br />
                 return link;<br />
             }<br />
         });<br />
     });<br />
 &lt;/script&gt;<br />
 &lt;script type="text/javascript"&gt;<br />
     if (!window.UA_Opt) {<br />
         var UA_Opt = new Object;<br />
         UA_Opt.SendMethod = 1;<br />
         UA_Opt.FormId = "loginBoxForm";<br />
         UA_Opt.ExTarget = ['password'];<br />
         window[UA_Opt.LogVal] = "";<br />
         UA_Opt.Token = new Date().getTime() + ":" + Math.random();<br />
         UA_Opt.MaxMCLog = 50;<br />
         UA_Opt.MaxKSLog = 50;<br />
         UA_Opt.MaxMPLog = 50;<br />
         UA_Opt.MaxTCLog = 50;<br />
         UA_Opt.MaxFocusLog = 50;<br />
         UA_Opt.Flag = 1965567;<br />
     }<br />
 &lt;/script&gt;<br />
 &lt;script type='text/javascript' src='//uaction.alicdn.com/js/uab.js'&gt;&lt;/script&gt;<br />
 &lt;script&gt;<br />
     //闃叉鍔犺浇澶辫触锛屽紓姝ヤ竴娆?<br />
     (function() {<br />
         if (typeof(window.acjs) == 'undefined') {<br />
             var _script = document.createElement('script');<br />
             _script.src = '//acjs.aliyun.com/js/uab.js';<br />
             document.body.appendChild(_script);<br />
         }<br />
     })();<br />
 &lt;/script&gt;

     &lt;script type="text/javascript"&gt;<br />
         Y.siteName = "www";<br />
     &lt;/script&gt;<br />
 &lt;/head&gt;<br />
 &lt;body&gt;

 &lt;script type="text/javascript"&gt;<br />
     var ua = window.navigator.userAgent.toLowerCase();

     if (ua.indexOf("iphone") &gt; 0 || ua.indexOf("android") &gt; 0) {<br />
         window.location.href = "http://m.yinyuetai.com" + window.location.search;<br />
     }<br />
 &lt;/script&gt;

     &lt;script text="text/javaScript"&gt;<br />
         if (!TRACK_SHOW || TRACK_SHOW.length &lt; 1) {<br />
             var TRACK_SHOW = new Array();<br />
         }

         TRACK_SHOW.push("http://t.collect.yinyuetai.com/v?a=104086&amp;t=1451479895973");

         (function() {<br />
             if (TRACK_SHOW.length &amp;&amp; (window != window.parent)) {<br />
                 for (var i = 0; i &lt; TRACK_SHOW.length; i++) {<br />
                     var img = document.createElement('img');<br />
                     img.src = TRACK_SHOW[i] + '&amp;t=' + new Date().getTime();<br />
                     document.body.appendChild(img);<br />
                 }

                 window.stop ? window.stop() : document.execCommand("Stop");<br />
             }<br />
         })();<br />
     &lt;/script&gt;

 &lt;!-- Start topbar --&gt;

 &lt;div class="topbar"&gt;<br />
     &lt;div class="content"&gt;<br />
         &lt;h1 class="fl"&gt;<br />
             &lt;a href="http://www.yinyuetai.com" class="logo" title="闊虫偊Tai"&gt;闊虫偊Tai - Logo&lt;/a&gt;<br />
         &lt;/h1&gt;<br />
         &lt;ul class="menus fl"&gt;<br />
             &lt;li class="menu hoverhandler"&gt;

                 &lt;ul class="dropdownmenu fillet"&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://i.yinyuetai.com/myhome/mv" class=""&gt;鎴戠殑MV&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://i.yinyuetai.com/myhome/pl" class=""&gt;鎴戠殑鎮﹀崟&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://i.yinyuetai.com/myhome/blog" class=""&gt;鎴戠殑鏃ュ織&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://i.yinyuetai.com/myhome/album" class=""&gt;鎴戠殑鐩稿唽&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://i.yinyuetai.com/myhome/fan" class=""&gt;鎴戠殑楗洟&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://i.yinyuetai.com/myhome/friend" class=""&gt;鎴戠殑鎮﹀弸&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://i.yinyuetai.com/myhome/preview" class="fillet "&gt;鎴戠殑灞曠ず椤?&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                 &lt;/ul&gt;<br />
             &lt;/li&gt;

             &lt;li class="menu"&gt;<br />
                 &lt;a href="http://www.yinyuetai.com" class="link current"&gt;棣栭〉&lt;/a&gt;<br />
             &lt;/li&gt;<br />
             &lt;li class="menu hoverhandler"&gt;<br />
                 &lt;a href="http://mv.yinyuetai.com" class="link "&gt;&lt;span class="fl"<br />
                                                                                              style="*margin-top:-1px;"&gt;MV&lt;/span&gt;&lt;b<br />
                         class="fl"&gt;&lt;/b&gt;&lt;/a&gt;<br />
                 &lt;ul class="dropdownmenu fillet"&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://mv.yinyuetai.com" class="fillet "&gt;MV棰戦亾&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://mv.yinyuetai.com/recommend" class=""&gt;鎺ㄨ崘MV&lt;/a&gt;<br />
                     &lt;/li&gt;

                     &lt;li&gt;<br />
                         &lt;a href="http://mv.yinyuetai.com/all?sort=weekViews" class="fillet "&gt;鍏ㄩ儴MV&lt;/a&gt;<br />
                     &lt;/li&gt;

                 &lt;/ul&gt;<br />
             &lt;/li&gt;<br />
             &lt;li class="menu hoverhandler"&gt;<br />
                 &lt;a href="http://pl.yinyuetai.com" class="link " title="鎮﹀崟"&gt;&lt;span class="fl"&gt;鎮﹀崟&lt;/span&gt;&lt;b class="fl"&gt;&lt;/b&gt;&lt;/a&gt;<br />
                 &lt;ul class="dropdownmenu fillet"&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://pl.yinyuetai.com/" class=""&gt;鎺ㄨ崘鎮﹀崟&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://pl.yinyuetai.com/person_recommend" class=""&gt;鎮﹀崟杈句汉&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://pl.yinyuetai.com/playlist_newRecommend"<br />
                            class="fillet "&gt;鍏ㄩ儴鎮﹀崟&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                 &lt;/ul&gt;<br />
             &lt;/li&gt;<br />
             &lt;li class="menu hoverhandler"&gt;<br />
                 &lt;a href="http://vchart.yinyuetai.com/vchart" class="link "&gt;&lt;span<br />
                         class="fl"&gt;V姒?&lt;/span&gt;&lt;b class="fl"&gt;&lt;/b&gt;&lt;/a&gt;<br />
                 &lt;ul class="dropdownmenu fillet"&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://vchart.yinyuetai.com/vchart" class=""&gt;鑱氱劍&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://vchart.yinyuetai.com/vchart/trends" class="fillet "&gt;鎵撴鍔ㄦ??&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://vchart.yinyuetai.com/vchart/v" class="fillet "&gt;鍛ㄦtop20&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://vchart.yinyuetai.com/vchart/month" class="fillet "&gt;鏈堟top10&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                 &lt;/ul&gt;<br />
             &lt;/li&gt;<br />
             &lt;li class="menu"&gt;<br />
                 &lt;a href="http://fan.yinyuetai.com" class="link "&gt;绮変笣鑱氱劍&lt;/a&gt;<br />
             &lt;/li&gt;<br />
             &lt;li class="menu"&gt;<br />
                 &lt;a href="http://shop.yinyuetai.com" class="link "&gt;鍟嗗煄&lt;/a&gt;<br />
             &lt;/li&gt;

             &lt;li class="menu"&gt;<br />
                 &lt;a href="http://news.yinyuetai.com" class="link "&gt;璧勮&lt;/a&gt;<br />
             &lt;/li&gt;<br />
             &lt;li class="menu hoverhandler"&gt;<br />
                 &lt;a href="http://www.yinyuetai.com/apps/mobile/tian" target="_blank" class="link"&gt;&lt;span class="fl "&gt;搴旂敤&lt;/span&gt;&lt;b<br />
                         class="fl"&gt;&lt;/b&gt;&lt;/a&gt;<br />
                 &lt;ul class="dropdownmenu fillet"&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://www.yinyuetai.com/apps/mobile" target="_blank" class=""&gt;绉诲姩瀹㈡埛绔?&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://www.yinyuetai.com/apps/mobile/tian" target="_blank" class="" title="鑸?"&gt;鑸?&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://tv.yinyuetai.com" class=""&gt;闊虫偊TV&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://www.yinyuetai.com/apps/yinyue_mini" target="_blank" class="fillet "&gt;妗岄潰瀹㈡埛绔?&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                 &lt;/ul&gt;<br />
             &lt;/li&gt;<br />
             &lt;li class="menu hoverhandler"&gt;<br />
                 &lt;a href="http://program.yinyuetai.com" class="link "&gt;&lt;span<br />
                         class="fl"&gt;鑺傜洰&lt;/span&gt;&lt;b class="fl"&gt;&lt;/b&gt;&lt;/a&gt;<br />
                 &lt;ul class="dropdownmenu fillet"&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://program.yinyuetai.com" class=""&gt;鐐规挱鑺傜洰&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://www.yinyuetai.com/show" class=""&gt;鐩存挱鑺傜洰&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                 &lt;/ul&gt;<br />
             &lt;/li&gt;<br />
             &lt;li class="menu hoverhandler"&gt;

                 &lt;a href="http://vip.yinyuetai.com/fanclub" class="link "&gt;&lt;span<br />
                         class="fl"&gt;Fan Club&lt;/span&gt;&lt;b class="fl"&gt;&lt;/b&gt;&lt;/a&gt;<br />
                 &lt;ul class="dropdownmenu fillet"&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://vip.yinyuetai.com/fanclub" class="" title="Fan Club"&gt;Fan Club&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://www.yinyuetai.com/apps/fanapp" class="fillet " title="鍙ｈ路FAN"&gt;鍙ｈ路FAN&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                 &lt;/ul&gt;<br />
             &lt;/li&gt;<br />
             &lt;li class="menu hoverhandler"&gt;

                 &lt;a href="http://stage.yinyuetai.com" class="link "&gt;&lt;span<br />
                         class="fl"&gt;闊虫偊Stage&lt;/span&gt;&lt;/a&gt;<br />
             &lt;/li&gt;

             &lt;li class="menu hoverhandler"&gt;<br />
                 &lt;span class="new-tian"&gt;&lt;/span&gt;<br />
                 &lt;a href="http://tian.web.yinyuetai.com/" class="link "&gt;&lt;span<br />
                         class="fl"&gt;鑸?&lt;/span&gt;&lt;/a&gt;<br />
             &lt;/li&gt;<br />
         &lt;/ul&gt;<br />
         &lt;ul class="userinfo fr hide"&gt;<br />
             &lt;li class="user fr hoverhandler"&gt;<br />
                 &lt;a class="link" href="http://i.yinyuetai.com"&gt;&lt;span class="fl username"&gt;&lt;/span&gt;&lt;b class="fl"&gt;&lt;/b&gt;&lt;/a&gt;<br />
                 &lt;ul class="dropdownmenu fillet"&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://i.yinyuetai.com/userId?preview&amp;setskin=1" class="decoration"&gt;瑁呮壆鎴戠殑瀹?&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://i.yinyuetai.com/settings/profile"&gt;涓汉璁剧疆&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://trade.yinyuetai.com?r=1451479894035"&gt;鎴戠殑璁㈠崟&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://i.yinyuetai.com/authen/index"&gt;璁よ瘉涓績&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                     &lt;li&gt;<br />
                         &lt;a href="http://login.yinyuetai.com/logout" class="fillet"&gt;閫?鍑?&lt;/a&gt;<br />
                     &lt;/li&gt;<br />
                 &lt;/ul&gt;<br />
             &lt;/li&gt;<br />
             &lt;li class="notification fr hoverhandler"&gt;<br />
                 &lt;a href="http://i.yinyuetai.com/news/index" class="messenger"&gt;閫氱煡&lt;/a&gt;<br />
                 &lt;span class="number hide"&gt;&lt;/span&gt;<br />
                 &lt;ul class="dropdownmenu fillet hide"&gt;<br />
                 &lt;/ul&gt;<br />
             &lt;/li&gt;<br />
             &lt;li class="msg_close_li"&gt;<br />
                 &lt;a href="javascript:void(0);" class="msg_close hide"&gt;&lt;/a&gt;<br />
             &lt;/li&gt;<br />
         &lt;/ul&gt;<br />
         &lt;div class="login fr"&gt;<br />
             &lt;a class="loginBtn J_login" href="http://login.yinyuetai.com/login"&gt;鐧诲綍&lt;/a&gt;<br />
             &lt;a href="http://login.yinyuetai.com/register"&gt;娉ㄥ唽&lt;/a&gt;<br />
         &lt;/div&gt;<br />
         &lt;div class="login fr" style="width: 50px;"&gt;<br />
             &lt;a class="loginBtn" href="http://vip.yinyuetai.com" style="border-right: 0;padding-right: 0;margin-right: 0;"&gt;VIP浼氬憳&lt;/a&gt;<br />
         &lt;/div&gt;<br />
         &lt;div class="search hide fr"&gt;<br />
             &lt;div class="left_park_side"&gt;&lt;/div&gt;<br />
             &lt;div class="right_park_side"&gt;&lt;/div&gt;<br />
             &lt;form action="http://so.yinyuetai.com" target="_blank"&gt;<br />
                 &lt;div class="searchbody"&gt;

                         &lt;input type="text" name="keyword" autocomplete="off" data-url="http://v.yinyuetai.com/video/2449042"<br />
                                placeholder="鏉庢椽鍩轰笓璁胯牏钀屾寫鎴樼數鍙癉J"/&gt;

                 &lt;/div&gt;<br />
                 &lt;button type="submit"&gt;鎼滅储&lt;/button&gt;<br />
             &lt;/form&gt;<br />
             &lt;ul class="autocomplete autocompletehide"&gt;<br />
             &lt;/ul&gt;<br />
         &lt;/div&gt;<br />
     &lt;/div&gt;<br />
     &lt;script type="text/tmp" id="autocompleteTpl"&gt;<br />
     &lt;li class="h39"&gt;&lt;/li&gt;<br />
     {@each videos as items}<br />
     {@each items as item, index}<br />
     {@if item.type == 'key'}<br />
     &lt;li&gt;<br />
         &lt;a href="http://so.yinyuetai.com/mv?keyword={{item.word|encodeURIComponent}}" class="h30 t9 l26"<br />
            target="_blank"&gt;&lt;strong&gt;{{{item.word}}}&lt;/strong&gt;&lt;/a&gt;<br />
     &lt;/li&gt;<br />
     {@if index == items.length - 1}

     &lt;li class="dotted"&gt;&lt;/li&gt;<br />
     {@/if}<br />
     {@/if}

     {@/each}<br />
     {@/each}

     {@each videos as items}<br />
     {@each items as item, index}<br />
     {@if item.type == 'video'}<br />
     {@if index == 0}<br />
     &lt;li&gt;<br />
         &lt;a href="http://so.yinyuetai.com/mv?keyword={{keyword|encodeURIComponent}}" class="h30 t9 l26 head video"<br />
            target="_blank"&gt;鎼滅储&lt;strong&gt;{{keyword}}&lt;/strong&gt;鐨勭浉鍏宠棰?&lt;/a&gt;<br />
     &lt;/li&gt;<br />
     {@/if}<br />
     &lt;li&gt;<br />
         &lt;a href="http://v.yinyuetai.com/video/{{item.id}}" target="_blank" class="h30 t25 l26"&gt;{{{item.word}}}&lt;/a&gt;<br />
     &lt;/li&gt;<br />
     {@if index == items.length - 1}<br />
     &lt;li class="dotted"&gt;&lt;/li&gt;<br />
     {@/if}<br />
     {@/if}

     {@/each}<br />
     {@/each}<br />
     {@each videos as items}<br />
     {@each items as item, index}

     {@if item.type == 'artist'}<br />
     {@if index == 0}<br />
     &lt;li&gt;<br />
         &lt;a href="http://so.yinyuetai.com/artist?keyword={{keyword|encodeURIComponent}}" class="h30 t9 l26 head fans"<br />
            target="_blank"&gt;鎼滅储&lt;strong&gt;{{keyword}}&lt;/strong&gt;鐨勭浉鍏抽キ鍥?&lt;/a&gt;<br />
     &lt;/li&gt;<br />
     {@/if}<br />
     &lt;li&gt;<br />
         &lt;a href="http://www.yinyuetai.com/fanclub/{{item.id}}" class="h57" target="_blank"&gt;<br />
             &lt;img class="avatar" src={{item.headImg}}&gt;<br />
             &lt;span class="title"&gt;{{{item.word}}}&lt;/span&gt;<br />
         &lt;/a&gt;<br />
     &lt;/li&gt;<br />
     {@if index == items.length - 1}<br />
     &lt;li class="dotted"&gt;&lt;/li&gt;<br />
     {@/if}<br />
     {@/if}<br />
     {@if item.type == 'person'}<br />
     {@if index == 0}<br />
     &lt;li&gt;<br />
         &lt;a href="http://i.yinyuetai.com/s/u?keyword={{keyword|encodeURIComponent}}" class="h30 t9 l26 head firend"<br />
            target="_blank"&gt;鎼滅储&lt;strong&gt;{{keyword}}&lt;/strong&gt;鐨勭浉鍏虫偊鍙?&lt;/a&gt;<br />
     &lt;/li&gt;<br />
     {@/if}<br />
     &lt;li&gt;<br />
         &lt;a href="http://i.yinyuetai.com/{{item.id}}/friend" class="h57" target="_blank"&gt;<br />
             &lt;img class="avatar" src={{item.headImg}}&gt;<br />
             &lt;span class="title"&gt;{{{item.word}}}&lt;/span&gt;<br />
         &lt;/a&gt;<br />
     &lt;/li&gt;<br />
     {@if index == items.length - 1}<br />
     &lt;li class="dotted"&gt;&lt;/li&gt;<br />
     {@/if}<br />
     {@/if}<br />
     {@/each}<br />
     {@/each}<br />
     &lt;li&gt;<br />
         &lt;a href="http://so.yinyuetai.com/article?keyword={{keyword|encodeURIComponent}}"<br />
            class="h30 t9 l26 head other last" target="_blank"&gt;鎼滅储&lt;strong&gt;{{keyword}}&lt;/strong&gt;鐨勫叾浠栦俊鎭?&lt;/a&gt;<br />
     &lt;/li&gt;

     &lt;/script&gt;<br />
     &lt;script type="text/tmp" id="autocompletenormalTpl"&gt;

         &lt;li class="h39"&gt;&lt;/li&gt;

             &lt;li&gt;<br />
             &lt;a href="http://v.yinyuetai.com/video/2457684" target="_blank"<br />
             class='h30 t25 l26 '&gt;VIXX鎴愬憳璐ㄧ枒"榛戝箷" 澶氭缃㈠綍&lt;/a&gt;<br />
             &lt;/li&gt;

             &lt;li&gt;<br />
             &lt;a href="http://v.yinyuetai.com/video/2439306" target="_blank"<br />
             class='h30 t25 l26 '&gt;鐢靛奖銆婇鍚圭伅涔嬪榫欒瘈銆嬩富棰樻洸&lt;/a&gt;<br />
             &lt;/li&gt;

             &lt;li&gt;<br />
             &lt;a href="http://v.yinyuetai.com/video/2452608" target="_blank"<br />
             class='h30 t25 l26 '&gt;UNIQ澶ц亰鎴愬勾璇濋 鎰忓BOBO&lt;/a&gt;<br />
             &lt;/li&gt;

             &lt;li&gt;<br />
             &lt;a href="http://v.yinyuetai.com/video/2416868" target="_blank"<br />
             class='h30 t25 l26 '&gt;涓囦竾娌℃兂鍒帮細澶х帇鍙垜鏉ュ贰灞?&lt;/a&gt;<br />
             &lt;/li&gt;

             &lt;li&gt;<br />
             &lt;a href="http://v.yinyuetai.com/video/2449042" target="_blank"<br />
             class='h30 t25 l26 '&gt;鏉庢椽鍩轰笓璁胯牏钀屾寫鎴樼數鍙癉J&lt;/a&gt;<br />
             &lt;/li&gt;

             &lt;li&gt;<br />
             &lt;a href="http://v.yinyuetai.com/video/2446190" target="_blank"<br />
             class='h30 t25 l26 '&gt;灏规鎸戞垬娴佽璇?"鍢垮樋鍢?"琚帺鍧?&lt;/a&gt;<br />
             &lt;/li&gt;

             &lt;li&gt;<br />
             &lt;a href="http://v.yinyuetai.com/video/2442052" target="_blank"<br />
             class='h30 t25 l26 '&gt;鏉庢槗宄扮涓嬭亰澶╀細鐢ㄨ嚜宸辩殑琛ㄦ儏鍖咃紒&lt;/a&gt;<br />
             &lt;/li&gt;

             &lt;li&gt;<br />
             &lt;a href="http://v.yinyuetai.com/video/2440118" target="_blank"<br />
             class='h30 t25 l26 '&gt;鏋椾繆鏉般?婁笉涓鸿皝鑰屼綔鐨勬瓕銆?&lt;/a&gt;<br />
             &lt;/li&gt;

             &lt;li&gt;<br />
             &lt;a href="http://v.yinyuetai.com/video/2440146" target="_blank"<br />
             class='h30 t25 l26 '&gt;SpeXial鐜╂父鎴? 鑺傛搷鎺夊厜鍏?&lt;/a&gt;<br />
             &lt;/li&gt;

             &lt;li&gt;<br />
             &lt;a href="http://v.yinyuetai.com/video/2439059 " target="_blank"<br />
             class='h30 t25 l26 last'&gt;瀹炲姏灏忛粍鍥nfinite鐨勮瘹瀹為棶绛?&lt;/a&gt;<br />
             &lt;/li&gt;

     &lt;/script&gt;<br />
     &lt;script type="text/javascript"&gt;<br />
         if (!Y.isLoadByPartner) {<br />
             require(['modules/yinyuetai/topbar']);<br />
         }

     &lt;/script&gt;

 &lt;/div&gt;

 &lt;!-- End topbar --&gt;<br />
 &lt;div class="index_auto"&gt;<br />
     &lt;!-- Start 鐒︾偣鍥? --&gt;<br />
     &lt;div class="index_focus"&gt;<br />
         &lt;a href="javascript:;" class="index_focus_pre J_toggle" data-direction="prev" title="涓婁竴寮?"&gt;涓婁竴寮?&lt;/a&gt;<br />
         &lt;a href="javascript:;" class="index_focus_next J_toggle" data-direction="next" title="涓嬩竴寮?"&gt;涓嬩竴寮?&lt;/a&gt;<br />
         &lt;ul&gt;

                     &lt;li&gt;<br />
                         &lt;a href="http://v.yinyuetai.com/video/2462853?f=SY-JDT-MV-1" class="pic" target="_blank" onclick="_hmt.push(['_trackEvent', '棣栭〉澶у浘0', '0'])"&gt;

                                 &lt;div class="index_focus_info J_focus_info"<br />
                                      style="left: 62%; width: 600px;<br />
                                      "&gt;<br />
                                     &lt;h3&gt;钀ф暚鑵俱?婅鎵嬫梺瑙傘??&lt;/h3&gt;

                                     &lt;p class="text"&gt;钀ф暚鑵炬柊涓撹緫绗簩娉富鎵撱?婅鎵嬫梺瑙傘?婱V鍏紑锛佽繖棣栨瓕鐢遍粍鍥戒鸡鑰佸笀浣滄洸銆佸璋︿綔璇嶃?侀綈绉﹀師鍞憋紒姝ゆ閲嶆柊缈诲敱鏀圭紪锛屽姞鍏ヤ簡寮︿箰缁靛瘑鐨勭紪鏇诧紝鍏呮弧浜嗏?滆惂姘忛鏍尖?濓紝娓╂煍娣辨儏鐨勫棑闊冲湪鍚屾褰曢煶鐨勭幆澧冧笅one take 瀹炲湪璁╀汉璧炲徆锛?&lt;/p&gt;<br />
                                 &lt;/div&gt;

                             &lt;img class="pic" src="http://img0.yytcdn.com/others/admin/151230/0/-M-f05705dd8168fccae7b04b1a188f6ed0_0x0.jpg" width="1600" height="600" alt=""/&gt;<br />
                         &lt;/a&gt;<br />
                     &lt;/li&gt;

                     &lt;li&gt;<br />
                         &lt;a href="http://www.yinyuetai.com/apps/fanapp/bigbang?f=SY-JDT-YDM-2" class="pic" target="_blank" onclick="_hmt.push(['_trackEvent', '棣栭〉澶у浘1', '1'])"&gt;

                             &lt;img class="pic" src="http://img4.yytcdn.com/others/admin/151230/0/-M-43f42687966d8f7ffb51091a4a40c53d_0x0.png" width="1600" height="600" alt=""/&gt;<br />
                         &lt;/a&gt;<br />
                     &lt;/li&gt;

                     &lt;li&gt;<br />
                         &lt;a href="http://v.yinyuetai.com/video/2462759?f=SY-JDT-MV-3" class="pic" target="_blank" onclick="_hmt.push(['_trackEvent', '棣栭〉澶у浘2', '2'])"&gt;

                             &lt;img class="pic" src="http://img0.yytcdn.com/others/admin/151230/0/-M-04651eb164f9ae9f6d86f3baa8d9be7d_0x0.jpg" width="1600" height="600" alt=""/&gt;<br />
                         &lt;/a&gt;<br />
                     &lt;/li&gt;

                     &lt;li&gt;<br />
                         &lt;a href="http://feature.yinyuetai.com/inventory2?id=65&amp;f=SY-JDT-YDM-4" class="pic" target="_blank" onclick="_hmt.push(['_trackEvent', '棣栭〉澶у浘3', '3'])"&gt;

                                 &lt;div class="index_focus_info J_focus_info"<br />
                                      style="<br />
                                      "&gt;<br />
                                     &lt;h3&gt;鐧惧悎鎯呯紭鈥斾笘鐣屼笂鐨勫彟涓?涓垜&lt;/h3&gt;

                                     &lt;p class="text"&gt;濂冲瓙鐨勬儏璋婁翰瀵嗘椂缁嗚吇鑰屽井濡?,涓?涓編甯呮敾姘斿崄瓒?,瀹犳汉鎾╁鎶?鑳界偣婊&Prime;垎,涓?涓蒋钀屽彈姘旀弧婊?,鎾掑▏鍗栬悓鍔熷姏娣卞帤,榛樺鏈夌埍鐨勪簰鍔ㄦ暎鍙戠潃鎭嬬埍鐨勭敎鑵绘皵鎭?(澶ч浘),濂逛箣浜庡ス,鏄笘鐣屼笂鍙︿竴涓嚜宸辩殑瀛樺湪,鐪嬬潃濂崇闂寸櫨鍚堝ぇ鎴?,鐖卞ス浠殑浣犲噯澶囧ソ琚幇寮簡涔??&lt;/p&gt;<br />
                                 &lt;/div&gt;

                             &lt;img class="pic" src="http://img3.yytcdn.com/others/admin/151229/0/-M-2a343c3f9ff1a98389b92d6ae95e9118_0x0.jpg" width="1600" height="600" alt=""/&gt;<br />
                         &lt;/a&gt;<br />
                     &lt;/li&gt;

                     &lt;li&gt;<br />
                         &lt;a href="http://v.yinyuetai.com/video/2462011?f=SY-JDT-MV-5" class="pic" target="_blank" onclick="_hmt.push(['_trackEvent', '棣栭〉澶у浘4', '4'])"&gt;

                                 &lt;div class="index_focus_info J_focus_info"<br />
                                      style="<br />
                                      left: 32%;"&gt;<br />
                                     &lt;h3&gt;鏋椾繆鏉般?婂叧閿瘝銆?&lt;/h3&gt;

                                     &lt;p class="text"&gt;鏋椾繆鏉伴寮犲疄楠屼笓杈戙?婂拰鑷繁瀵硅瘽銆嬬涓夋尝涓绘墦銆婂叧閿瘝銆婱V棣栨挱锛佹瓕鏇叉灄淇婃澃璋辨洸锛屾灄鎬&Prime;嚖濉瘝銆侻V鐢遍粍涓钩瀵兼紨鎿嶅垁锛岄檲濡嶅笇鐗瑰埆婕斿嚭銆傛灄淇婃澃鐨勬洸灏嗚瘝浣滅殑浼樼編璋变笂娴撴祿涓浗椋庯紝娲楁钉瀵圭埍鎯呯殑杩锋儤锛屽甫缁欎汉骞哥鐨勫姏閲忋??&lt;/p&gt;<br />
                                 &lt;/div&gt;

                             &lt;img class="pic" src="http://img4.yytcdn.com/others/admin/151229/0/-M-cbc2fb9e36fdc83d49db2fbbdfb16939_0x0.jpg" width="1600" height="600" alt=""/&gt;<br />
                         &lt;/a&gt;<br />
                     &lt;/li&gt;

                     &lt;li&gt;<br />
                         &lt;a href="http://feature.yinyuetai.com/tianping?f=SY-JDT-YDM-6" class="pic" target="_blank" onclick="_hmt.push(['_trackEvent', '棣栭〉澶у浘5', '5'])"&gt;

                             &lt;img class="pic" src="http://img1.yytcdn.com/others/admin/151225/0/-M-1f8e9a491d78ec6ae0c232b8191c6818_0x0.jpg" width="1600" height="600" alt=""/&gt;<br />
                         &lt;/a&gt;<br />
                     &lt;/li&gt;

                     &lt;li&gt;<br />
                         &lt;a href="http://v.yinyuetai.com/video/2459321?f=SY-JDT-MV-7" class="pic" target="_blank" onclick="_hmt.push(['_trackEvent', '棣栭〉澶у浘6', '6'])"&gt;

                                 &lt;div class="index_focus_info J_focus_info"<br />
                                      style="<br />
                                      "&gt;<br />
                                     &lt;h3&gt;EP120 鍋跺儚鍖呰⒈绮夌鏈虹鍥涘脊鈥斺?擲peXial鐗硅緫&lt;/h3&gt;

                                     &lt;p class="text"&gt;鍋跺儚鍖呰⒈绮夌鏈虹鍥涘脊鏉ュ柦锛佸皬鎳靛摂浠繖娆en鐨勭帺寰堝ぇ鍝︼紒蹇偣鐪嬭妭鐩惂锛佽妭鐩腑鍑虹幇鐨勫悕鐢婚兘鍙互閫佺粰浣犱滑鍠忥紝鍓嶆彁鏄挱鏀鹃噺杩囦簡100涓囷紝鍏蜂綋鍏虫敞@闊虫偊V姒滃畼鍗?&lt;/p&gt;<br />
                                 &lt;/div&gt;

                             &lt;img class="pic" src="http://img2.yytcdn.com/others/admin/151226/0/-M-9682e66d564978eb8fe864e4c43c64c0_0x0.jpg" width="1600" height="600" alt=""/&gt;<br />
                         &lt;/a&gt;<br />
                     &lt;/li&gt;

                     &lt;li&gt;<br />
                         &lt;a href="http://t.collect.yinyuetai.com/c?a=104086" class="pic" target="_blank" onclick="_hmt.push(['_trackEvent', '棣栭〉澶у浘7', '7'])"&gt;

                                 &lt;div class="index_focus_info J_focus_info"<br />
                                      style="<br />
                                      "&gt;<br />
                                     &lt;h3&gt;San E 銆奃o It For Fun銆?&lt;/h3&gt;

                                     &lt;p class="text"&gt;&lt;/p&gt;<br />
                                 &lt;/div&gt;

                             &lt;img class="pic" src="http://img2.yytcdn.com/others/admin/151230/0/1451457790619_1600x600.jpg" width="1600" height="600" alt=""/&gt;<br />
                         &lt;/a&gt;<br />
                     &lt;/li&gt;

                     &lt;li&gt;<br />
                         &lt;a href="http://shop.yinyuetai.com/theme?shoujiao&amp;f=SY-JDT-YDM-8" class="pic" target="_blank" onclick="_hmt.push(['_trackEvent', '棣栭〉澶у浘8', '8'])"&gt;

                             &lt;img class="pic" src="http://img4.yytcdn.com/others/admin/151225/0/-M-df24a23e71ef8da273a2d93371f4ad0c_0x0.jpg" width="1600" height="600" alt=""/&gt;<br />
                         &lt;/a&gt;<br />
                     &lt;/li&gt;

                     &lt;li&gt;<br />
                         &lt;a href="http://v.yinyuetai.com/video/2458554?f=SY-JDT-MV-9" class="pic" target="_blank" onclick="_hmt.push(['_trackEvent', '棣栭〉澶у浘9', '9'])"&gt;

                             &lt;img class="pic" src="http://img1.yytcdn.com/others/admin/151225/0/-M-d172cc01f922c203cf183409cb280198_0x0.jpg" width="1600" height="600" alt=""/&gt;<br />
                         &lt;/a&gt;<br />
                     &lt;/li&gt;

         &lt;/ul&gt;<br />
         &lt;div class="slide_nav J_nav"&gt;<br />
         &lt;/div&gt;<br />
     &lt;/div&gt;<br />
     &lt;!-- End 鐒︾偣鍥? --&gt;

     &lt;script type="text/javascript"&gt;<br />
         if (!Y.isLoadByPartner) {<br />
             $.getJSON('/api/directional/get-directional-result?json=true', function(result) {<br />
                 if (result.directionalResult) {<br />
                     $.getJSON('/partner/get-partner-code?json=true&amp;placeIds=index_push', function(result) {<br />
                         if (result.index_push) {<br />
                             var object = $(".index_focus").find("ul li").eq(1);<br />
                             var index_bottom = $.parseJSON(result.index_push.replace(/'/ig, '"'));<br />
                             object.find('a').attr('href', index_bottom.url);<br />
                             object.find('h3').text(index_bottom.title);<br />
                             object.find('.text').text(index_bottom.content);<br />
                             object.find('img').attr('src', index_bottom.img);<br />
                             var imp = index_bottom.imp + '&amp;t=' + new Date();<br />
                             $('&lt;img src="' + imp + '" style="display:none;" /&gt;').appendTo(document.body);<br />
                         }

                     });<br />
                 }<br />
             });<br />
         }<br />
     &lt;/script&gt;

     &lt;!-- Start 鍐呭 --&gt;<br />
     &lt;div class="index_content"&gt;<br />
         &lt;!-- Start 骞垮憡浣? --&gt;<br />
         &lt;div class="focus_bottom_banner" style="overflow: hidden; text-align: center;"&gt;<br />
             &lt;div class="banner_container" style="margin: 10px auto; display: block;"&gt;

             &lt;/div&gt;<br />
         &lt;/div&gt;<br />
         &lt;!-- End 骞垮憡浣? --&gt;

 &lt;!-- Start MV棣栨挱 --&gt;<br />
 &lt;div class="index_box clearfix" id="shoubo"&gt;<br />
     &lt;div class="index_title"&gt;<br />
         &lt;h3 class="fl ico_index_premiere01"&gt;MV棣栨挱1&lt;/h3&gt;

 &lt;div class="fr group_tab"&gt;<br />
     &lt;a href="javascript:;" class="J_area cur" data-area="all" onclick="_hmt.push(['_trackEvent', 'MV棣栨挱*鍏ㄩ儴', '鍏ㄩ儴']);"&gt;鍏ㄩ儴&lt;/a&gt;<br />
     &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
     &lt;a href="javascript:;" class="J_area" data-area="ml" onclick="_hmt.push(['_trackEvent', 'MV棣栨挱*鍐呭湴', '鍐呭湴']);"&gt;鍐呭湴&lt;/a&gt;<br />
     &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
     &lt;a href="javascript:;" class="J_area" data-area="ht" onclick="_hmt.push(['_trackEvent', 'MV棣栨挱*娓彴', '娓彴']);"&gt;娓彴&lt;/a&gt;<br />
     &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
     &lt;a href="javascript:;" class="J_area" data-area="us" onclick="_hmt.push(['_trackEvent', 'MV棣栨挱*娆х編', '娆х編']);"&gt;娆х編&lt;/a&gt;<br />
     &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
     &lt;a href="javascript:;" class="J_area" data-area="kr" onclick="_hmt.push(['_trackEvent', 'MV棣栨挱*闊╁浗', '闊╁浗']);"&gt;闊╁浗&lt;/a&gt;<br />
     &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
     &lt;a href="javascript:;" class="J_area" data-area="jp" onclick="_hmt.push(['_trackEvent', 'MV棣栨挱*鏃ユ湰', '鏃ユ湰']);"&gt;鏃ユ湰&lt;/a&gt;<br />
 &lt;/div&gt;

     &lt;/div&gt;<br />
     &lt;a href="javascript:;" class="group_pre1 J_prev" onclick="_hmt.push(['_trackEvent', 'MV棣栨挱*涓婁竴椤?', '涓婁竴椤?'])"&gt;&lt;/a&gt;<br />
     &lt;a href="javascript:;" class="group_next1 J_next" onclick="_hmt.push(['_trackEvent', 'MV棣栨挱*涓嬩竴椤?', '涓嬩竴椤?'])"&gt;&lt;/a&gt;<br />
     &lt;span class="ico_loading"&gt;&lt;/span&gt;

     &lt;div class="index_list_auto"&gt;<br />
         &lt;ul class="index_list_w"&gt;<br />
             &lt;li class="index_list"&gt;

                 &lt;div class="J_add_convenient_container mv_pic mr_r22 shadow"&gt;

                         &lt;a href="http://v.yinyuetai.com/video/2462863?f=SY-MKDT-MVSB-1"<br />
                            class="pic play_pic1" target="_blank" onclick="_hmt.push(['_trackEvent', 'MV棣栨挱*澶у浘*宸?', '澶у浘', '宸?'])"&gt;<br />
                             &lt;img src="http://img4.yytcdn.com/others/admin/151230/0/-M-475c1462bd103d9f79050630d8752db5_0x0.jpg" width="468" height="273" alt="涓嶈鍐嶈"/&gt;

                             &lt;div class="play_name" style="display: block;"&gt;<br />
                                 &lt;h4 class="text fb14 mr_t75"&gt;涓嶈鍐嶈&lt;/h4&gt;

                                     &lt;p class="text c_cf9"&gt;

                                             濂藉濡逛箰闃?

                                     &lt;/p&gt;

                             &lt;/div&gt;<br />
                             &lt;span class="ico_play"&gt;鎾斁&lt;/span&gt;<br />
                         &lt;/a&gt;

                     &lt;/div&gt;

             &lt;/li&gt;<br />
         &lt;/ul&gt;<br />
         &lt;div class="clearfloat"&gt;&lt;/div&gt;<br />
     &lt;/div&gt;

 &lt;/div&gt;

 &lt;!-- End MV棣栨挱 --&gt;

 &lt;!-- Start 姝ｆ祦琛? --&gt;<br />
 &lt;div class="index_box clearfix" id="zhengliuxing"&gt;<br />
     &lt;div class="index_title"&gt;<br />
         &lt;h3 class="fl ico_index_popular"&gt;姝ｆ祦琛?&lt;/h3&gt;

 &lt;div class="fr group_tab"&gt;<br />
     &lt;a href="javascript:;" class="J_area cur" data-area="all" onclick="_hmt.push(['_trackEvent', 'MV棣栨挱*鍏ㄩ儴', '鍏ㄩ儴']);"&gt;鍏ㄩ儴&lt;/a&gt;<br />
     &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
     &lt;a href="javascript:;" class="J_area" data-area="ml" onclick="_hmt.push(['_trackEvent', 'MV棣栨挱*鍐呭湴', '鍐呭湴']);"&gt;鍐呭湴&lt;/a&gt;<br />
     &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
     &lt;a href="javascript:;" class="J_area" data-area="ht" onclick="_hmt.push(['_trackEvent', 'MV棣栨挱*娓彴', '娓彴']);"&gt;娓彴&lt;/a&gt;<br />
     &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
     &lt;a href="javascript:;" class="J_area" data-area="us" onclick="_hmt.push(['_trackEvent', 'MV棣栨挱*娆х編', '娆х編']);"&gt;娆х編&lt;/a&gt;<br />
     &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
     &lt;a href="javascript:;" class="J_area" data-area="kr" onclick="_hmt.push(['_trackEvent', 'MV棣栨挱*闊╁浗', '闊╁浗']);"&gt;闊╁浗&lt;/a&gt;<br />
     &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
     &lt;a href="javascript:;" class="J_area" data-area="jp" onclick="_hmt.push(['_trackEvent', 'MV棣栨挱*鏃ユ湰', '鏃ユ湰']);"&gt;鏃ユ湰&lt;/a&gt;<br />
 &lt;/div&gt;

     &lt;/div&gt;<br />
     &lt;a href="javascript:;" class="group_pre1 J_prev" onclick="_hmt.push(['_trackEvent', '姝ｅ湪娴佽*涓婁竴椤?', '涓婁竴椤?'])"&gt;&lt;/a&gt;<br />
     &lt;a href="javascript:;" class="group_next1 J_next" onclick="_hmt.push(['_trackEvent', '姝ｅ湪娴佽*涓嬩竴椤?', '涓嬩竴椤?'])"&gt;&lt;/a&gt;<br />
     &lt;span class="ico_loading"&gt;&lt;/span&gt;

     &lt;div class="index_list_auto"&gt;<br />
         &lt;ul class="index_list_w"&gt;<br />
             &lt;li class="index_list"&gt;<br />
                 &lt;div class="mv_pic shadow index_w716"&gt;

                         &lt;div class="J_add_convenient_container fl"&gt;

                         &lt;a href="http://v.yinyuetai.com/video/2461180?f=SY-MKDT-ZZLX-1"<br />
                            class="fl pic play_pic1" target="_blank" onclick="_hmt.push(['_trackEvent', '姝ｅ湪娴佽*澶у浘*宸?', '澶у浘', '宸?'])"&gt;<br />
                             &lt;img src="http://img4.yytcdn.com/others/admin/151228/0/-M-5adfce3aacfa4261e445a913bf420295_0x0.jpg" width="468" height="273" alt=""/&gt;<br />
                             &lt;span class="ico_play"&gt;鎾斁&lt;/span&gt;<br />
                         &lt;/a&gt;

                     &lt;/div&gt;

                     &lt;div class="fl index_info"&gt;<br />
                         &lt;h4 class="title"&gt;<br />
                             &lt;a href="http://v.yinyuetai.com/video/2461180?f=SY-MKDT-ZZLX-1"<br />
                                target="_blank"&gt;<br />
                                 鐖遍?犻楦? 绁炵鐣绡?<br />
                             &lt;/a&gt;<br />
                         &lt;/h4&gt;

                             &lt;p class="name"&gt;

                                     &lt;a href="http://www.yinyuetai.com/fanclub/171" class="special"<br />
                                        target="_blank"&gt;閮噰娲?&lt;/a&gt;

                             &lt;/p&gt;

                         &lt;p class="info"&gt;閮噰娲佸叏鏂版蹇典笓杈戙?婄埍閫犻楦&deg;?婱V绁炵鐣绡囧叕寮?锛佹娆＄壒鍒個鏉ラ噸閲忕骇璧勬繁鍓т綔瀹堕噾澹澃涓庨噰娲佸叡鍚屾紨缁庡繕骞翠箣鎯咃紝鏃剁┖杞崲鍒颁簡70骞翠唬鐨勫彴婀撅紝鑰屾垙涓?佸ご鐨勬渶鍚庝竴鍙ュ拰鏈?鍚庝竴鏀垶涔熻鎵?鏈変汉鍔ㄥ锛岄儹閲囨磥绮炬箾鐨勬紨鎶?澶х垎鍙戯紝闀胯揪鍗佷簲鍒嗛挓鐨勭暘澶栫瘒璁╀綘涓?娆＄湅杩囩樉&lt;/p&gt;<br />
                     &lt;/div&gt;<br />
                 &lt;/div&gt;<br />
             &lt;/li&gt;<br />
         &lt;/ul&gt;<br />
     &lt;/div&gt;<br />
 &lt;/div&gt;<br />
 &lt;!-- End 姝ｆ祦琛? --&gt;

 &lt;!-- Start 闊虫偊V姒? --&gt;<br />
 &lt;div class="index_box index_vchart clearfix" id="vchart"&gt;<br />
     &lt;div class="index_title"&gt;<br />
         &lt;h3 class="fl ico_index_vchart"&gt;闊虫偊V姒?&lt;/h3&gt;<br />
         &lt;a href="http://vchart.yinyuetai.com/vchart/v" target="_blank" class="date"&gt;52&lt;/a&gt;<br />
         &lt;a href="http://vchart.yinyuetai.com/vchart/v" target="-_blank" class="fl time"&gt;2015骞? 绗?52鏈?<br />
             锛?12.21~12.27锛?&lt;/a&gt;

         &lt;div class="fr group_tab"&gt;<br />
             &lt;a href="javascript:;" class="J_area cur" data-area="ml"&gt;鍐呭湴&lt;/a&gt;<br />
             &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
             &lt;a href="javascript:;" class="J_area" data-area="ht"&gt;娓彴&lt;/a&gt;<br />
             &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
             &lt;a href="javascript:;" class="J_area" data-area="us"&gt;娆х編&lt;/a&gt;<br />
             &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
             &lt;a href="javascript:;" class="J_area" data-area="kr"&gt;闊╁浗&lt;/a&gt;<br />
             &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
             &lt;a href="javascript:;" class="J_area" data-area="jp"&gt;鏃ユ湰&lt;/a&gt;<br />
         &lt;/div&gt;<br />
     &lt;/div&gt;<br />
     &lt;a href="javascript:;" class="group_pre1 J_prev" onclick="_hmt.push(['_trackEvent','闊虫偊V姒?*涓婁竴椤?','涓婁竴椤?'])"&gt;&lt;/a&gt;<br />
     &lt;a href="javascript:;" class="group_next1 J_next" onclick="_hmt.push(['_trackEvent','闊虫偊V姒?*涓嬩竴椤?','涓嬩竴椤?'])"&gt;&lt;/a&gt;<br />
     &lt;span class="ico_loading"&gt;&lt;/span&gt;

     &lt;div class="index_list_auto"&gt;<br />
         &lt;ul class="index_list_w"&gt;<br />
             &lt;li class="index_list"&gt;<br />
                 &lt;div class="mv_pic shadow index_w716"&gt;

                         &lt;div class="J_add_convenient_container fl"&gt;

                         &lt;a href="http://v.yinyuetai.com/video/2457525?f=SY-MKDT-YYVB-1"<br />
                            class="fl pic play_pic1" title="2015骞撮煶鎮姒滅51鏈? - 鍐呭湴绡?" target="_blank" onclick="_hmt.push(['_trackEvent','闊虫偊V姒?*澶у浘ml*宸?','澶у浘ml','宸?'])"&gt;<br />
                             &lt;img src="http://img4.yytcdn.com/others/admin/151224/0/-M-de88bc3bb8fb31c7c220b0fb3d45da62_0x0.jpg" width="468" height="273" alt=""/&gt;<br />
                             &lt;span class="ico_play"&gt;鎾斁&lt;/span&gt;<br />
                         &lt;/a&gt;

                     &lt;/div&gt;

                     &lt;div class="fl index_info"&gt;<br />
                         &lt;h4 class="title"&gt;<br />
                             &lt;a href="http://v.yinyuetai.com/video/2457525?f=SY-MKDT-YYVB-1"<br />
                                title="2015骞撮煶鎮姒滅51鏈? - 鍐呭湴绡?" target="_blank"&gt;2015骞撮煶鎮姒滅51鏈? - 鍐呭湴绡?&lt;/a&gt;<br />
                         &lt;/h4&gt;

                         &lt;p class="info"&gt;鏈懆鍐呭湴V姒滐紝瀹嬭寽棣栨敮鍥借鍗曟洸锛屽彉韬揩閫掑コ绁炵尞涓婃殩蹇冩瓕鏇诧紱鍚翠害鍑℃敼缂栫粡鍏革紝楗版紨鍙嶆淳鎺ュ彈鎸戞垬锛涙潕鏄撳嘲鐗垫墜鍏佸効锛屽綋鐢风閬囧埌濂崇浼氭摝鍑烘?庢牱鐨勭伀鑺便?傛湰鍛ㄥ唴鍦癡姒滐紝鐢风濂崇澶ц仛浼氾紝閭ｇ敾闈㈠お缇庯紝浣犳?庝箞鑸嶅緱涓嶇湅锛伮?&lt;/p&gt;<br />
                     &lt;/div&gt;<br />
                 &lt;/div&gt;

             &lt;/li&gt;<br />
         &lt;/ul&gt;<br />
     &lt;/div&gt;<br />
 &lt;/div&gt;<br />
 &lt;!-- End 闊虫偊V姒? --&gt;

 &lt;script type="text/tpl" id="video_list_tpl"&gt;

     {@each videos as video,index}<br />
     {@if index%2==0}<br />
     &lt;div class="mv_1x2"&gt;<br />
         {@/if}<br />
         {@if video.videoId &gt;= 0}<br />
         &lt;div class="{@if video.videoId&gt;0}J_add_convenient_container {@/if} mv_pic shadow{@if video.videoId&gt;0} J_mv{@/if}" data-video-id="{{video.videoId}}"&gt;<br />
             &lt;a href="{@if video.url}{{video.url}}{@else}http://v.yinyuetai.com/video/{{video.videoId}}?f={{video.from}}{@/if}" class="pic play_pic2"<br />
                target="_blank" onclick="_hmt.push(['_trackEvent', '{{_hmt.channel}}*灏忓浘{{_hmt.areas}}*{{+_hmt.start + +index}}', '{{_hmt.channel}}', '{{+_hmt.start + +index}}'])"&gt;<br />
                 &lt;img src="{{video.image}}" width="220" height="124" alt="灏忓浘"/&gt;

                 &lt;div class="play_name"&gt;<br />
                     &lt;h4 class="text fb12 {@if video.artists.length&gt;0}mr_t80{@else}mr_t100{@/if}"&gt;{{video.title}}&lt;/h4&gt;

                     {@if video.artists&amp;&amp;video.artists.length &gt; 0}<br />
                     &lt;p class="text c_cf9"&gt;<br />
                         {@each video.artists as artist,index}<br />
                         {@if index&gt;0} &amp; {@/if}<br />
                         {{artist.artistName}}<br />
                         {@/each}<br />
                     &lt;/p&gt;<br />
                     {@/if}<br />
                 &lt;/div&gt;<br />
                 {@if video.videoId&gt;0}&lt;span class="ico_play"&gt;鎾斁&lt;/span&gt;{@/if}<br />
                 {@if video.rank}<br />
                 &lt;span class="play_vchart_num"&gt;&lt;em&gt;{{video.rank}}&lt;/em&gt;&lt;i<br />
                         class="cor{@if video.rank&lt;4}{{video.rank}}{@/if}"&gt;&lt;/i&gt;&lt;/span&gt;<br />
                 {@/if}<br />
             &lt;/a&gt;<br />
             {@if video.partner}&lt;span class="clear_special"&gt;&lt;/span&gt;{@/if}<br />
         &lt;/div&gt;<br />
         {@else if video.type=="trends"}<br />
         &lt;div class="mv_pic shadow"&gt;<br />
             &lt;a href="http://vchart.yinyuetai.com/vchart/trends?f={{video.from}}}" class="index_vchart_dynamic" target="_blank"&gt;<br />
                 鏌ョ湅鎵撴鍔ㄦ??&lt;span class="ico20_vchart_dynamic"&gt;&lt;/span&gt;<br />
             &lt;/a&gt;<br />
         &lt;/div&gt;<br />
         {@else if video.type=="v"}<br />
         &lt;div class="mv_pic shadow"&gt;<br />
             &lt;a href="http://vchart.yinyuetai.com/vchart/v?f={{video.from}}}" class="index_vchart_dynamic" target="_blank"&gt;<br />
                 鏌ョ湅寰?鏈熸鍗?&lt;span class="ico20_vchart_time"&gt;&lt;/span&gt;<br />
             &lt;/a&gt;<br />
         &lt;/div&gt;<br />
         {@/if}<br />
         {@if index%2==1||index==videos.length-1}<br />
     &lt;/div&gt;<br />
     {@/if}<br />
     {@/each}<br />
 &lt;/script&gt;<br />
 &lt;script type="text/tpl" id="video_info_tpl"&gt;<br />
     {@if customTitle}&lt;p class="title"&gt;<br />
     &lt;span class="fl ico20_comma_l"&gt;&lt;/span&gt;{{customTitle}}&lt;i class="ico20_comma_r"&gt;&lt;/i&gt;&lt;/p&gt;<br />
     {@/if}

     &lt;p class="num"&gt;<br />
         &lt;span class="ico20_play"&gt;{{totalViews}}&lt;/span&gt;<br />
         &lt;span class="ico20_comment"&gt;{{totalComments}}&lt;/span&gt;<br />
         {@if rank!=0}<br />
         &lt;a href="http://vchart.yinyuetai.com/vchart/trends" class="ico20_vchart" target="_blank"&gt;{{rank}}&lt;i<br />
                 class="{@if up}ico20_rise{@else}ico20_decline{@/if}"&gt;&lt;/i&gt;&lt;/a&gt;<br />
         {@/if}<br />
     &lt;/p&gt;

     &lt;p class="info"&gt;{{content}}&lt;/p&gt;<br />
 &lt;/script&gt;<br />
 &lt;script type="text/tpl" id="vchart_rec_tpl"&gt;

     &lt;div class="mv_pic shadow index_w716"&gt;<br />
         {@if videoId}<br />
         &lt;div class="J_add_convenient_container fl"&gt;<br />
             {@/if}<br />
             &lt;a href="{@if videoId}http://v.yinyuetai.com/video/{{videoId}}?f=SY-MKDT-YYVB-1{@else}{@/if}" class="fl pic play_pic1" title="{{title}}"<br />
                target="_blank"&gt;<br />
                 &lt;div class="pic"&gt;<br />
                     &lt;img src="{{image}}" width="468" height="273" alt="" onclick="_hmt.push(['_trackEvent','闊虫偊V姒?*澶у浘{{area}}*宸?','澶у浘{{area}}','宸?'])"/&gt;<br />
                 &lt;/div&gt;<br />
             &lt;/a&gt;<br />
             {@if videoId}<br />
             &lt;span class="J_add_convenient" title="鍔犲叆渚挎嵎鎮﹀崟" data-video-id="{{videoId}}"&gt;&lt;/span&gt;<br />
         &lt;/div&gt;<br />
         {@/if}

         &lt;div class="fl index_info"&gt;<br />
             &lt;h4 class="title"&gt;&lt;a href="{@if videoId}http://v.yinyuetai.com/video/{{videoId}}?f=SY-MKDT-YYVB-1{@else}{@/if}" target="_blank"&gt;{{title}}&lt;/a&gt;<br />
             &lt;/h4&gt;

             &lt;p class="info"&gt;{{content}}&lt;/p&gt;<br />
         &lt;/div&gt;<br />
     &lt;/div&gt;<br />
 &lt;/script&gt;<br />
         &lt;script type="text/javascript"&gt;<br />
             require(["app/main/index"], function(index) {<br />
                 var Tray = index.Tray, store = index.store;

                 new Tray({<br />
                     el : $('#shoubo'),<br />
                     tpl : $('#video_list_tpl').html(),<br />
                     data : [{"artists":[{"artistName":"瀹佹瀹?","id":31414}],"from":"SY-MVSB-QB-1","image":"http://img1.yytcdn.com/video/mv/151230/2462374/-M-5b0d2ab781ea5f17ffb278b13fe8d2a2_240x135.jpg?t=20151230093237","partner":false,"rank":0,"title":"Mango 瀹樻柟鐗?","videoId":2462374},{"artists":[{"artistName":"鏋椾繆鏉?","id":22}],"from":"SY-MVSB-QB-2","image":"http://img2.yytcdn.com/video/mv/151229/2462011/-M-3ed5156cedf3099946b6df099d4794bd_240x135.jpg","partner":false,"rank":0,"title":"鍏抽敭璇? 瀹樻柟鐗?","videoId":2462011},{"artists":[{"artistName":"Wiz Khalifa","id":5298}],"from":"SY-MVSB-QB-3","image":"http://img3.yytcdn.com/video/mv/151229/2461415/-M-ca61375fcc9102ca81fa57572b84084c_240x135.jpg?t=20151229095251","partner":false,"rank":0,"title":"King of Everything","videoId":2461415},{"artists":[{"artistName":"Cal Scruby","id":31214},{"artistName":"Chris Brown","id":115}],"from":"SY-MVSB-QB-4","image":"http://img2.yytcdn.com/video/mv/151229/2461393/-M-b712ea62950e5f75300b6cf120cc99f3_240x135.jpg?t=20151229013836","partner":false,"rank":0,"title":"Ain't Shit Change","videoId":2461393},{"artists":[{"artistName":"宸︾珛","id":30212}],"from":"SY-MVSB-QB-5","image":"http://img2.yytcdn.com/video/mv/151229/2461576/-M-28ce82a529ef67b2de4c56b3851e3bac_240x135.jpg?t=20151229110714","partner":false,"rank":0,"title":"鍋氳嚜宸辩殑姒滄牱 瀹樻柟鐗?","videoId":2461576},{"artists":[{"artistName":"鏉洊","id":37530}],"from":"SY-MVSB-QB-6","image":"http://img0.yytcdn.com/video/mv/151229/2461419/-M-10ff7c5b95f1d495d6faa5be0aa06b39_240x135.jpg?t=20151229095954","partner":false,"rank":0,"title":"娴风劧娴风劧 鐢靛奖&lt;瀵婚緳璇?&gt;鎻掓洸鐢靛奖鐗?","videoId":2461419},{"artists":[{"artistName":"鏉ㄥ煿瀹?","id":283}],"from":"SY-MVSB-QB-7","image":"http://img0.yytcdn.com/video/mv/151228/2461004/-M-5ffe211104c51fd8931a7dca1fb9f08d_240x135.jpg?t=20151228175818","partner":false,"rank":0,"title":"蹇冧笉璺充簡 瀹樻柟鐗?","videoId":2461004},{"artists":[{"artistName":"Nicole Scherzinger","id":1833},{"artistName":"Paul McCartney","id":1437},{"artistName":"Leona Lewis","id":447},{"artistName":"Colbie Caillat","id":655},{"artistName":"Natasha Bedingfield","id":1201}],"from":"SY-MVSB-QB-8","image":"http://img3.yytcdn.com/video/mv/151228/2457078/-M-1e288a98a5d958ad9b21a7bc66bbc80d_240x135.jpg?t=20151224090247","partner":false,"rank":0,"title":"Love Song To The Earth","videoId":2457078},{"artists":[{"artistName":"Melody Day","id":33510},{"artistName":"Ravi(VIXX)","id":35977}],"from":"SY-MVSB-QB-9","image":"http://img4.yytcdn.com/video/mv/151228/2460758/-M-c557f85747c06c84feb3aaf79f146045_240x135.jpg?t=20151228112218","partner":false,"rank":0,"title":"濡傛灉涓嬮洦(Feat. Ravi of VIXX) 瀹屾暣鐗?","videoId":2460758},{"artists":[{"artistName":"闊╂捣(Phantom)","id":39589}],"from":"SY-MVSB-QB-10","image":"http://img1.yytcdn.com/video/mv/151228/2460753/-M-769728c2c46c460664d9f232a575aeb2_240x135.jpg?t=20151228111801","partner":false,"rank":0,"title":"娌℃湁閭ｆ牱鐨勪汉(No One Like Him) 瀹屾暣鐗?","videoId":2460753},{"artists":[{"artistName":"绱犵弽(Girl's Day)","id":22660}],"from":"SY-MVSB-QB-11","image":"http://img3.yytcdn.com/video/mv/151225/2458676/-M-1a4e19d71378363ae1840ee4156c9c0d_240x135.jpg?t=20151225231052","partner":false,"rank":0,"title":"姣忓ぉ鍜屼綘 &lt;璇峰洖绛?1988&gt;OST Part.8","videoId":2458676},{"artists":[{"artistName":"钄&Prime;仴闆?","id":75}],"from":"SY-MVSB-QB-12","image":"http://img0.yytcdn.com/video/mv/151225/2458261/-M-e077a7b85659dbb1488ffb0fda2b5228_240x135.jpg?t=20151225140832","partner":false,"rank":0,"title":"娲荤潃鏄渶濂界殑姝讳骸 瀹樻柟鐗?","videoId":2458261},{"artists":[{"artistName":"鍚翠繆浣?","id":10261}],"from":"SY-MVSB-QB-13","image":"http://img4.yytcdn.com/video/mv/151225/2458040/-M-65a98b3efa0993dccf30b0e97843d5e7_240x135.jpg","partner":false,"rank":0,"title":"you are so beautiful 瀹樻柟鐗?","videoId":2458040},{"artists":[{"artistName":"闄堣但","id":27661},{"artistName":"濮氭櫒","id":14497},{"artistName":"绐﹂獊","id":14998}],"from":"SY-MVSB-QB-14","image":"http://img3.yytcdn.com/video/mv/151225/2457072/-M-85654be4b686740b3cb6fbe347567589_240x135.jpg?t=20151224085130","partner":false,"rank":0,"title":"涓?灏佸涔? 缇ゆ槦鐗? 鐢靛奖&lt;涓?鍒囬兘濂?&gt;鎺ㄥ箍鏇?","videoId":2457072},{"artists":[{"artistName":"涓佸厠妫?","id":31304}],"from":"SY-MVSB-QB-15","image":"http://img2.yytcdn.com/video/mv/151225/2458078/-M-fc5c4d77634a5776c5b9a3f39e7f231c_240x135.jpg?t=20151225104021","partner":false,"rank":0,"title":"鍌荤摐鐨勪俊浠? 瀹樻柟鐗?","videoId":2458078},{"artists":[{"artistName":"鍗庤缇ゆ槦","id":4538}],"from":"SY-MVSB-QB-16","image":"http://img4.yytcdn.com/video/mv/151230/2462412/-M-3ed1476ac9a36d7fc83ee1bef7a9768c_240x135.jpg?t=20151230101959","partner":false,"rank":0,"title":"鍦扮嫳涔嬫瓕 鐢靛奖&lt;鏋滃疂鐗规敾&gt;瀹ｄ紶鏇?","videoId":2462412},{"artists":[{"artistName":"鑷充笂鍔卞悎","id":158}],"from":"SY-MVSB-QB-17","image":"http://img0.yytcdn.com/video/mv/151225/2458042/-M-968bf0e83699c17cfee56a3aa0a1e53e_240x135.jpg?t=20151225095427","partner":false,"rank":0,"title":"鑷充笂鍔卞悎&lt;灏忛晣闈掑勾&gt;闊充箰鐢靛奖","videoId":2458042},{"artists":[{"artistName":"Panic! At The Disco","id":3793}],"from":"SY-MVSB-QB-18","image":"http://img4.yytcdn.com/video/mv/151225/2457760/-M-bf92b9b4ac82207224d82672efbf62a4_240x135.jpg?t=20151224233748","partner":false,"rank":0,"title":"Death Of A Bachelor","videoId":2457760},{"artists":[{"artistName":"BEAST","id":2654}],"from":"SY-MVSB-QB-19","image":"http://img2.yytcdn.com/video/mv/151224/2457737/-M-845ea5556380365cda0d958265ccb7a3_240x135.jpg?t=20151224232155","partner":false,"rank":0,"title":"STAY FOREVER YOUNG","videoId":2457737},{"artists":[{"artistName":"AKB48","id":994}],"from":"SY-MVSB-QB-20","image":"http://img3.yytcdn.com/video/mv/151224/2456765/-M-bdf6edf22a4cc61af4760a0e0070184a_240x135.jpg?t=20151223201608","partner":false,"rank":0,"title":"鍚涖伅浠娿伨銇с仼銇撱伀銇勩仧?","videoId":2456765},{"artists":[{"artistName":"Selena Gomez","id":2581}],"from":"SY-MVSB-QB-21","image":"http://img2.yytcdn.com/video/mv/151222/2455447/-M-01ae068d781f5ec530e66c51819cd879_240x135.jpg?t=20151222085138","partner":false,"rank":0,"title":"Hands To Myself","videoId":2455447},{"artists":[{"artistName":"鍛ㄥ(MONSTA X)","id":37651},{"artistName":"MONSTA X","id":38259}],"from":"SY-MVSB-QB-22","image":"http://img1.yytcdn.com/video/mv/151223/2456721/-M-62ca73a36eeafccb27188e64a70b0817_240x135.jpg?t=20151223191304","partner":false,"rank":0,"title":"RAPPIN (Short Ver.)","videoId":2456721},{"artists":[{"artistName":"瀹夌惀","id":4057},{"artistName":"濮滄","id":39613}],"from":"SY-MVSB-QB-23","image":"http://img0.yytcdn.com/video/mv/151224/2456671/-M-92dffaa891361d3fc7905380b60e8760_240x135.jpg?t=20151223181625","partner":false,"rank":0,"title":"澶╀笅鏃犲弻 瀹樻柟鐗?","videoId":2456671},{"artists":[{"artistName":"Myl猫ne Farmer","id":3230}],"from":"SY-MVSB-QB-24","image":"http://img4.yytcdn.com/video/mv/151223/2454482/-M-503af2315e48bb1bc312df73ea5a788d_240x135.png?t=20151220223936","partner":false,"rank":0,"title":"City Of Love","videoId":2454482},{"artists":[{"artistName":"娓呮槬","id":375}],"from":"SY-MVSB-QB-25","image":"http://img2.yytcdn.com/video/mv/151223/2456343/-M-673659c6f0874d90177e2ad30cecbb08_240x135.jpg?t=20151223114721","partner":false,"rank":0,"title":"銉娿偠銉兗","videoId":2456343},{"artists":[{"artistName":"Rihwa","id":24680}],"from":"SY-MVSB-QB-26","image":"http://img4.yytcdn.com/video/mv/151223/2456339/-M-09af78577eecb3c0657cb3e0de0c10f4_240x135.jpg?t=20151223114057","partner":false,"rank":0,"title":"鏄庢棩銇亶銇ｃ仺銇勩亜鏃ャ伀銇倠","videoId":2456339},{"artists":[{"artistName":"璧典粫鐟?","id":36843}],"from":"SY-MVSB-QB-27","image":"http://img4.yytcdn.com/video/mv/151223/2456157/-M-e37ac7b6c10de8ebc312a18154a0ec4f_240x135.jpg?t=20151223045958","partner":false,"rank":0,"title":"鍚閭ｆ椂鐨勭埍寰堢編 瀹樻柟鐗?","videoId":2456157},{"artists":[{"artistName":"閮戜笢娌?(澶嶆椿)","id":8936}],"from":"SY-MVSB-QB-28","image":"http://img1.yytcdn.com/video/mv/151223/2456302/-M-81ec673787a00138c8c3c541ecacd224_240x135.jpg?t=20151223111203","partner":false,"rank":0,"title":"鍐嶆,闆?(Snow again) 瀹屾暣鐗?","videoId":2456302},{"artists":[{"artistName":"鐖辨埓","id":950}],"from":"SY-MVSB-QB-29","image":"http://img2.yytcdn.com/video/mv/151223/2456248/-M-ae9d273d0884749213077f5174d12216_240x135.jpg?t=20151223104141","partner":false,"rank":0,"title":"BABY鐖? 瀹樻柟鐗?","videoId":2456248},{"artists":[{"artistName":"A蹇淧","id":39456}],"from":"SY-MVSB-QB-30","image":"http://img4.yytcdn.com/video/mv/151229/2459787/-M-5cc78c553eefccd1e404664420edc31c_240x135.jpg?t=20151227110121","partner":false,"rank":0,"title":"銇仾銇俱倠銇淬仯銇淬伅銈堛亜銇撱仩銇?","videoId":2459787}],<br />
                     fetchUrl : '/ajax/shoubo',<br />
                     initSize : 8,<br />
                     channel : 'MV棣栨挱'

                 });<br />
                 new Tray({<br />
                     el : $('#zhengliuxing'),<br />
                     tpl : $('#video_list_tpl').html(),<br />
                     data : [{"artists":[{"artistName":"Adele","id":974},{"artistName":"Billboard Hot 100","id":10616}],"from":"SY-ZZLX-QB-1","image":"http://img1.yytcdn.com/video/mv/151230/2462513/-M-fe9b3c28c652557d0571b80615bffdb3_240x135.jpg?t=20151230134237","partner":false,"rank":0,"title":"2016骞寸2鏈熺編鍥紹illboard鍗曟洸姒淭op 50","videoId":2462513},{"artists":[{"artistName":"Joyce Chu 鍥涜憠鑽?","id":34557}],"from":"SY-ZZLX-QB-2","image":"http://img0.yytcdn.com/video/mv/151230/2460808/-M-5724a61f7de6f2dac1a68b20d35d06f6_240x135.jpg?t=20151228122434","partner":false,"rank":0,"title":"濂芥兂浣? 涓嶆彃鐢电増","videoId":2460808},{"artists":[{"artistName":"Charli XCX","id":22776}],"from":"SY-ZZLX-QB-3","image":"http://img0.yytcdn.com/video/mv/151230/2461984/-M-63d93eeca0f07614ed7f7288a4cad37b_240x135.jpg?t=20151229173855","partner":false,"rank":0,"title":"Super Love (EB.TV Live Classics) 鐜板満鐗?","videoId":2461984},{"artists":[{"artistName":"鍒樻稕","id":28328}],"from":"SY-ZZLX-QB-4","image":"http://img4.yytcdn.com/video/mv/151230/2462539/-M-6803f11726c4b3accb49323ba5bbd405_240x135.jpg?t=20151230141629","partner":false,"rank":0,"title":"澶х帇姝屼箣鍒樻稕鑺卞紡鍠婂ぇ鐜?","videoId":2462539},{"artists":[{"artistName":"闄堝鍐?","id":35165},{"artistName":"鍗庤缇ゆ槦","id":4538},{"artistName":"钖涘嚡鐞?","id":246}],"from":"SY-ZZLX-QB-5","image":"http://img3.yytcdn.com/video/mv/151230/2462466/-M-b452078f6401e2b4e3da5c4593601aaf_240x135.jpg?t=20151230114428","partner":false,"rank":0,"title":"鐢靛奖&lt;楂樿窡闉嬪厛鐢?&gt; \"缇庡皯濂冲．澹玕"鐗堥鍛?","videoId":2462466},{"artists":[{"artistName":"Dal鈽卻habet","id":13377}],"from":"SY-ZZLX-QB-6","image":"http://img1.yytcdn.com/video/mv/151230/2462442/-M-be9347cedde600c9514bf292f3f88696_240x135.jpg?t=20151230111121","partner":false,"rank":0,"title":"濡備綘(Someone like U) 棰勫憡鐗?","videoId":2462442},{"artists":[{"artistName":"Gary","id":33009},{"artistName":"瀹嬫櫤瀛?","id":38037},{"artistName":"Gaeko(Dynamic Duo)","id":36197}],"from":"SY-ZZLX-QB-7","image":"http://img3.yytcdn.com/video/mv/151230/2462439/-M-c438aba1d0ae70f3bbb88a21286be20a_240x135.png?t=20151230110540","partner":false,"rank":0,"title":"鍙堜竴澶? 棰勫憡鐗?","videoId":2462439},{"artists":[{"artistName":"闊虫偊V姒滅壒鍒紒鍒?","id":32393},{"artistName":"SpeXial","id":27113}],"from":"SY-ZZLX-QB-8","image":"http://img1.yytcdn.com/video/mv/151226/2459321/-M-3530acefc7f260ed21bb44e2ea6f50f0_240x135.jpg","partner":false,"rank":0,"title":"EP120 鍋跺儚鍖呰⒈绮夌鏈虹鍥涘脊__SpeXial鐗硅緫","videoId":2459321},{"artists":[{"artistName":"褰辫鍘熷０","id":15442}],"from":"SY-ZZLX-QB-9","image":"http://img2.yytcdn.com/video/mv/151229/2461728/-M-f25cddddf0510cd4419cf4b2fe300c8d_240x135.jpg?t=20151229121858","partner":false,"rank":0,"title":"\"鏄熺悆澶ф垬:鍘熷姏瑙夐啋\"寮哄娍鏉ヨ 鍥涘ぇ涓诲垱涓婃捣閫犲娍","videoId":2461728},{"artists":[{"artistName":"AOA","id":25339},{"artistName":"TWICE","id":38959},{"artistName":"VIXX","id":24334},{"artistName":"閲戝湥鍦?(Infinite)","id":26913},{"artistName":"BTOB","id":23535},{"artistName":"闃插脊灏戝勾鍥?","id":29570},{"artistName":"IU","id":3583},{"artistName":"ZICO(Block B)","id":36481},{"artistName":"miss A","id":7742},{"artistName":"Girl's Day","id":8247}],"from":"SY-ZZLX-QB-10","image":"http://img2.yytcdn.com/video/mv/151229/2461685/-M-58ede6478500de62b5f6ceac7458439b_240x135.jpg?t=20151229115409","partner":false,"rank":0,"title":"Who's your mama? - 2015 1theKING 涓枃瀛楀箷","videoId":2461685},{"artists":[{"artistName":"鍗庤缇ゆ槦","id":4538}],"from":"SY-ZZLX-QB-11","image":"http://img4.yytcdn.com/video/mv/151229/2461588/-M-7662a05ca8f6d98bd0f69fd5d4877998_240x135.jpg?t=20151229111150","partner":false,"rank":0,"title":"鐢靛奖&lt;闈掕洐鐜嬪浗2&gt;瀹氭。棰勫憡","videoId":2461588},{"artists":[{"artistName":"娓&curren;竟楹诲弸","id":22885},{"artistName":"AKB48","id":994}],"from":"SY-ZZLX-QB-12","image":"http://img2.yytcdn.com/video/mv/151229/2460805/-M-e6c46d185ab66bb42c68aeec9109bb59_240x135.jpg?t=20151228131215","partner":false,"rank":0,"title":"&lt;澶уゥ&gt;绗竴閮? 鏈?鍑躲伄濂? 绶? 1鏈?22鏃? 鐗瑰牨3 涓枃瀛楀箷 (涓轰簡楹诲弸瀛楀箷缁?)","videoId":2460805},{"artists":[{"artistName":"鍓嶇敯鏁﹀瓙","id":17280},{"artistName":"楂樻ˉ鍗?","id":28181},{"artistName":"AKB48","id":994}],"from":"SY-ZZLX-QB-13","image":"http://img1.yytcdn.com/video/mv/151228/2460944/-M-55a18d9d56399aabcb1e9c1b9919d331_240x135.jpg?t=20151228154908","partner":false,"rank":0,"title":"鍙宠偐 (2015 Best Ver.)","videoId":2460944},{"artists":[{"artistName":"KAT-TUN","id":385}],"from":"SY-ZZLX-QB-14","image":"http://img4.yytcdn.com/video/mv/151229/2461400/-M-f83397607a552759a1a92f4f11edf91a_240x135.jpg?t=20151229093838","partner":false,"rank":0,"title":"銉嬨兂銈层兂瑕冲療!銉&euro;儖銈裤儶銉炽偘KAT-TUN Part 涓枃瀛楀箷 (15/12/24)","videoId":2461400},{"artists":[{"artistName":"GOT7","id":33018},{"artistName":"Seventeen","id":27172},{"artistName":"BTOB","id":23535},{"artistName":"MONSTA X","id":38259}],"from":"SY-ZZLX-QB-15","image":"http://img1.yytcdn.com/video/mv/151228/2460921/-M-021c9b128db74ee696e3ae4953a4e8b8_240x135.png?t=20151228153053","partner":false,"rank":0,"title":"\"鐤媯鎼炵瑧\"鍚嶈獕娈垮爞 - The Qmentary 涓枃瀛楀箷","videoId":2460921},{"artists":[{"artistName":"2PM","id":1237},{"artistName":"BTOB","id":23535},{"artistName":"TWICE","id":38959},{"artistName":"Girl's Day","id":8247},{"artistName":"GOT7","id":33018},{"artistName":"CNBLUE","id":4289}],"from":"SY-ZZLX-QB-16","image":"http://img2.yytcdn.com/video/mv/151228/2460923/-M-6cdfe55da86377268d6c660a6eb20411_240x135.png?t=20151228153432","partner":false,"rank":0,"title":"蹇嶇瑧10闃舵 涓枃瀛楀箷","videoId":2460923},{"artists":[{"artistName":"鍚翠害鍑?","id":34611}],"from":"SY-ZZLX-QB-17","image":"http://img1.yytcdn.com/video/mv/151228/2460830/-M-656fde0aa3f5161007eb7b5fa05d10a8_240x135.jpg?t=20151228130555","partner":false,"rank":0,"title":"&lt;鑺辨埧濮戝&gt;鏂扮紪MV 楗埗鐗?","videoId":2460830},{"artists":[{"artistName":"闊虫偊V姒?","id":21713},{"artistName":"5 Seconds of Summer","id":31322}],"from":"SY-ZZLX-QB-18","image":"http://img3.yytcdn.com/video/mv/151228/2452301/-M-48b19e3ecfca2deb49d721c12b3b0f72_240x135.jpg?t=20151218155622","partner":false,"rank":0,"title":"浜旂鐩涘 鎵撴ID","videoId":2452301},{"artists":[{"artistName":"灞变笅鏅轰箙","id":3250}],"from":"SY-ZZLX-QB-19","image":"http://img3.yytcdn.com/video/mv/151228/2460120/-M-6eeb025f8a6a935defe484de6223edd8_240x135.jpg?t=20151227154907","partner":false,"rank":0,"title":"灞盤鐨凨ISS鑻辫 绗崄鍏洖 涓枃瀛楀箷 15/11/06(P鍚у瓧骞曠粍)","videoId":2460120},{"artists":[{"artistName":"鍗庤缇ゆ槦","id":4538}],"from":"SY-ZZLX-QB-20","image":"http://img0.yytcdn.com/video/mv/151228/2460787/-M-e183387ea65199566752f177cf4e56bc_240x135.jpg?t=20151228115100","partner":false,"rank":0,"title":"鐢靛奖&lt;鍔熷か鐔婄尗3&gt;鐔婄尗鎷ユ姳璁&Prime;垝鍏ㄧ邯褰?","videoId":2460787},{"artists":[{"artistName":"鍏虫檽褰?","id":34692}],"from":"SY-ZZLX-QB-21","image":"http://img4.yytcdn.com/video/mv/151228/2460752/-M-0ccc4d44b7a0fe611fc9539d3b5d0832_240x135.jpg?t=20151228111135","partner":false,"rank":0,"title":"瀹夋磥瑗垮叕涓? 30绉掗鍛婄増","videoId":2460752},{"artists":[{"artistName":"鍗庤缇ゆ槦","id":4538}],"from":"SY-ZZLX-QB-22","image":"http://img0.yytcdn.com/video/mv/151228/2460726/-M-73be5dbc9db69c7cd220b003f5027599_240x135.jpg?t=20151228105259","partner":false,"rank":0,"title":"鐢靛奖&lt;鑰佺偖鍎?&gt;绠&curren;檸鐗硅緫","videoId":2460726},{"artists":[{"artistName":"鍗庤缇ゆ槦","id":4538}],"from":"SY-ZZLX-QB-23","image":"http://img2.yytcdn.com/video/mv/151228/2460675/-M-6833ff43b0d8abfa2d393fa92dfd71c2_240x135.jpg?t=20151228095619","partner":false,"rank":0,"title":"鐢靛奖&lt;骞村吔澶т綔鎴?&gt; \"鍏芥?уぇ鍙慭"鐗硅緫","videoId":2460675},{"artists":[{"artistName":"浣熶附濞?","id":25002},{"artistName":"鍛ㄥ啲闆?","id":14997}],"from":"SY-ZZLX-QB-24","image":"http://img0.yytcdn.com/video/mv/151228/2460673/-M-52ad28eee299241542e667d3a41429a4_240x135.jpg?t=20151228095429","partner":false,"rank":0,"title":"鐢靛奖&lt;濂旂埍&gt; \"鐪熺埍\"鐗硅緫","videoId":2460673},{"artists":[{"artistName":"寮犺壓鍏?(EXO)","id":29765},{"artistName":"瀛欑孩闆?","id":21696},{"artistName":"榛勬袱","id":16782},{"artistName":"榛勭","id":2344},{"artistName":"缃楀織绁?","id":15}],"from":"SY-ZZLX-QB-25","image":"http://img2.yytcdn.com/video/mv/151228/2460660/-M-e8ec5c64ba0b516eb35dcfc91502d862_240x135.jpg?t=20151228094303","partner":false,"rank":0,"title":"鐢靛奖&lt;鏋侀檺鎸戞垬&gt;\"涓夌簿涓夊偦\"鐗堥鍛?","videoId":2460660},{"artists":[{"artistName":"Miley Cyrus","id":280}],"from":"SY-ZZLX-QB-26","image":"http://img1.yytcdn.com/video/mv/151227/2460113/-M-eef3410c3f1c58b353745188a3fb724c_240x135.jpg?t=20151227152151","partner":false,"rank":0,"title":"My Sad Christmas Song (璇曞惉)","videoId":2460113},{"artists":[{"artistName":"Elle King","id":36104}],"from":"SY-ZZLX-QB-27","image":"http://img1.yytcdn.com/video/mv/151227/2460018/-M-084edc13e7c33e357e8ecfa8c5ecbfb8_240x135.jpg?t=20151227130112","partner":false,"rank":0,"title":"America's Sweetheart(鐜板満鐗?)","videoId":2460018},{"artists":[{"artistName":"褰辫鍘熷０","id":15442}],"from":"SY-ZZLX-QB-28","image":"http://img2.yytcdn.com/video/mv/151226/2458977/-M-3d7c28268c0e15725cd92246213ef3f9_240x135.jpg?t=20151226105427","partner":false,"rank":0,"title":"鐢靛奖&lt;姝讳緧&gt;涓枃棰勫憡 涓枃瀛楀箷","videoId":2458977},{"artists":[{"artistName":"Coldplay","id":123}],"from":"SY-ZZLX-QB-29","image":"http://img3.yytcdn.com/video/mv/151226/2458901/-M-9ec87cf3b8e349621a9522aa351b4a88_240x135.jpg?t=20151226093802","partner":false,"rank":0,"title":"Adventure Of A Lifetime (2015 Top of the Pops) 鐜板満鐗?","videoId":2458901},{"artists":[{"artistName":"Years &amp; Years","id":33897}],"from":"SY-ZZLX-QB-30","image":"http://img3.yytcdn.com/video/mv/151226/2458882/-M-5f35a83f4dd3e2ada03ecbfb3f15c3d2_240x135.jpg?t=20151226092752","partner":false,"rank":0,"title":"King (2015 BBC Top of the Pops) 鐜板満鐗?","videoId":2458882}],<br />
                     fetchUrl : '/ajax/zhengliuxing',<br />
                     initSize : 6,<br />
                     channel : '姝ｅ湪娴佽'<br />
                 });<br />
                 var vchartVideos = [{"artists":[{"artistName":"TFBOYS","id":30905}],"from":"SY-YYVB-ND-1","image":"http://img2.yytcdn.com/video/mv/151211/2445791/-M-ccf0e8542755f34b3505e2180a0a8190_240x135.jpg?t=20151211102043","partner":false,"rank":1,"title":"澶фⅵ鎯冲 瀹樻柟鐗?","videoId":2445791},{"artists":[{"artistName":"鏉庢槗宄?","id":279},{"artistName":"鍐皬鍒?","id":39610}],"from":"SY-YYVB-ND-2","image":"http://img4.yytcdn.com/video/mv/151222/2455446/-M-564f19d5c67da7834113b8a888cc68e6_240x135.jpg","partner":false,"rank":2,"title":"鐖辩殑浠ｄ环 鐢靛奖&lt;鑰佺偖鍎?&gt;瀹ｄ紶鏇?","videoId":2455446},{"artists":[{"artistName":"鍚翠害鍑?","id":34611}],"from":"SY-YYVB-ND-3","image":"http://img2.yytcdn.com/video/mv/151217/2450920/-M-c7a9589e906669b7fdcb7b13f2d8058b_240x135.jpg?t=20151217095024","partner":false,"rank":3,"title":"鑺辨埧濮戝 鐢靛奖&lt;鑰佺偖鍎?&gt;瀹ｄ紶鏇?","videoId":2450920},{"artists":[{"artistName":"鏉庢槗宄?","id":279}],"from":"SY-YYVB-ND-4","image":"http://img3.yytcdn.com/video/mv/151216/2450184/-M-7f783c2ff2ca14ed53379976204177d9_240x135.jpg?t=20151216113853","partner":false,"rank":4,"title":"璇疯窡鎴戣仈缁?","videoId":2450184},{"artists":[{"artistName":"鏉庡畤鏄?","id":32}],"from":"SY-YYVB-ND-5","image":"http://img4.yytcdn.com/video/mv/151210/2445086/-M-c20428d09f1e95d7a68c7d893b985e5c_240x135.jpg","partner":false,"rank":5,"title":"娣疯泲,鎴戞兂浣? 瀹樻柟鐗?","videoId":2445086},{"artists":[{"artistName":"鏉庡畤鏄?","id":32}],"from":"SY-YYVB-ND-6","image":"http://img3.yytcdn.com/video/mv/151210/2445094/-M-cf7d8e004929a2bfcdcb6627550ee584_240x135.jpg","partner":false,"rank":6,"title":"鐖辨湁寮曞姏 瀹樻柟鐗?","videoId":2445094},{"artists":[{"artistName":"鑷充笂鍔卞悎","id":158}],"from":"SY-YYVB-ND-7","image":"http://img0.yytcdn.com/video/mv/151225/2458042/-M-968bf0e83699c17cfee56a3aa0a1e53e_240x135.jpg?t=20151225095427","partner":false,"rank":7,"title":"鑷充笂鍔卞悎&lt;灏忛晣闈掑勾&gt;闊充箰鐢靛奖","videoId":2458042},{"artists":[{"artistName":"鐖辨埓","id":950}],"from":"SY-YYVB-ND-8","image":"http://img2.yytcdn.com/video/mv/151223/2456248/-M-ae9d273d0884749213077f5174d12216_240x135.jpg?t=20151223104141","partner":false,"rank":8,"title":"BABY鐖? 瀹樻柟鐗?","videoId":2456248},{"artists":[{"artistName":"闃块瞾闃垮崜","id":2794}],"from":"SY-YYVB-ND-9","image":"http://img0.yytcdn.com/video/mv/151130/2435691/-M-72715c973f9b613358b64b8fdb737d80_240x135.jpg?t=20151130103723","partner":false,"rank":9,"title":"瑗块","videoId":2435691},{"artists":[{"artistName":"闊╁簹","id":4437}],"from":"SY-YYVB-ND-10","image":"http://img4.yytcdn.com/video/mv/151220/2453778/-M-7666a25b90ef97690b8550b0db7ed529_240x135.jpg?t=20151220100137","partner":false,"rank":10,"title":"閫冧笉鎺? 瀹樻柟鐗?","videoId":2453778},{"artists":[{"artistName":"楣挎櫁","id":36176}],"from":"SY-YYVB-ND-11","image":"http://img4.yytcdn.com/video/mv/151202/2437545/-M-07ff74d984a27e80022d10e2e22cee3b_240x135.jpg?t=20151202091854","partner":false,"rank":11,"title":"娴峰簳 鐢靛奖&lt;鍔熷か鐔婄尗3&gt;瀹樻柟鎺ㄥ箍鏇?","videoId":2437545},{"artists":[{"artistName":"閭撹秴","id":3279}],"from":"SY-YYVB-ND-12","image":"http://img4.yytcdn.com/video/mv/151220/2453752/-M-e97b78a19f49be20ce23a692567c9059_240x135.png","partner":false,"rank":12,"title":"鏈夋儏涓栭棿 鐢靛奖&lt;鎭舵澶╀娇&gt;涓婚鏇?","videoId":2453752},{"artists":[{"artistName":" O2O Goddess","id":39594}],"from":"SY-YYVB-ND-13","image":"http://img4.yytcdn.com/video/mv/151222/2455522/-M-3b7efc178e194fe2dcd9b6a92b3e2584_240x135.jpg?t=20151222095904","partner":false,"rank":13,"title":"澹佸挌 鐢靛奖&lt;蹇冩儕鑲夌瑧&gt;涓婚鏇?","videoId":2455522},{"artists":[{"artistName":"璧佃嫳淇?","id":27219},{"artistName":"鐧藉","id":30713},{"artistName":"鍙吔鏄撳皬鏄?","id":30370}],"from":"SY-YYVB-ND-14","image":"http://img1.yytcdn.com/video/mv/151218/2451759/-M-cb69010e1d90efcacbe637550ca09211_240x135.jpg?t=20151217215710","partner":false,"rank":14,"title":"涓囦竾 鐢靛奖&lt;涓囦竾娌℃兂鍒?&gt;涓婚鏇?","videoId":2451759},{"artists":[{"artistName":"濂藉濡逛箰闃?","id":26665}],"from":"SY-YYVB-ND-15","image":"http://img4.yytcdn.com/video/mv/151220/2454001/-M-22114f8c6f2edc93d69d1316fc700c9c_240x135.jpg","partner":false,"rank":15,"title":"涓?灏佸涔? 鐢靛奖&lt;涓?鍒囬兘濂?&gt;鎺ㄥ箍鏇?","videoId":2454001},{"artists":[{"artistName":"鐜嬭搲","id":90}],"from":"SY-YYVB-ND-16","image":"http://img3.yytcdn.com/video/mv/151222/2455585/-M-b3b4cc01b95c904c8400b584d9999d1b_240x135.jpg?t=20151222112603","partner":false,"rank":16,"title":"鍙堕棶 鐢靛奖&lt;鍙堕棶3&gt;瀹ｄ紶鏇?","videoId":2455585},{"artists":[{"artistName":"鏉洊","id":37530}],"from":"SY-YYVB-ND-17","image":"http://img4.yytcdn.com/video/mv/151223/2456183/-M-ad1639dc2622495f9def107228149c8a_240x135.jpg?t=20151223100523","partner":false,"rank":17,"title":"閰掓瓕 鐢靛奖&lt;瀵婚緳璇?&gt;鎻掓洸","videoId":2456183},{"artists":[{"artistName":"瀹嬭寽","id":16169}],"from":"SY-YYVB-ND-18","image":"http://img0.yytcdn.com/video/mv/151217/2450963/-M-75a8fa8c62ce4948ecae61fc87705677_240x135.jpg?t=20151217103401","partner":false,"rank":18,"title":"鏄熸槦娉? 鐢佃鍓?&lt;缇庝附鐨勭瀵?&gt;涓婚鏇?","videoId":2450963},{"artists":[{"artistName":"EXO","id":22594}],"from":"SY-YYVB-ND-19","image":"http://img3.yytcdn.com/video/mv/151209/2444735/-M-d80b55804935634e9b5a6c883291743c_240x135.jpg","partner":false,"rank":19,"title":"EXO_Sing For You(涓轰綘鑰屽敱)_Music Video","videoId":2444735},{"artists":[{"artistName":"鍗庢櫒瀹?","id":30165}],"from":"SY-YYVB-ND-20","image":"http://img0.yytcdn.com/video/mv/151120/2425734/-M-d7d304680469f1d63203274d159d8326_240x135.jpg?t=20151120100025","partner":false,"rank":20,"title":"铚夎潱 瀹樻柟鐗?","videoId":2425734}];<br />
                 vchartVideos = vchartVideos.concat([<br />
                     {type : 'trends', area : 'ML'},<br />
                     {type : 'v', area : 'ML'}<br />
                 ]);<br />
                 var vchart = new Tray({<br />
                     el : $('#vchart'),<br />
                     tpl : $('#video_list_tpl').html(),<br />
                     data : vchartVideos,<br />
                     fetchUrl : '/ajax/vchart',<br />
                     initSize : 6,<br />
                     special : 'vchart',<br />
                     channel : '闊虫偊V姒?'<br />
                 });<br />
                 vchart.on('loadArea', function(area) {<br />
                     store.set('index-vchart-area', area);<br />
                 });<br />
                 var area = store.get('index-vchart-area');<br />
                 if (area &amp;&amp; area != 'ml') {<br />
                     vchart.on('init', function() {<br />
                         vchart.$el.find('.J_area[data-area=' + area + ']').click();<br />
                     })<br />
                 }<br />
             });<br />
         &lt;/script&gt;<br />
     &lt;/div&gt;<br />
     &lt;!-- End 鍐呭 --&gt;

 &lt;!-- Strat Footer--&gt;<br />
 &lt;div class="footer"&gt;<br />
     &lt;p class="footer_link"&gt;<br />
         &lt;a href="http://www.yinyuetai.com/article/3" target="_blank" title="鍏充簬鎴戜滑"&gt;鍏充簬鎴戜滑&lt;/a&gt;<br />
         &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
         &lt;a href="http://www.yinyuetai.com/joinus" target="_blank" title="浜烘墠鎷涜仒"&gt;浜烘墠鎷涜仒&lt;/a&gt;<br />
         &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
         &lt;a href="http://www.yinyuetai.com/article/1" target="_blank" title="鑱旂郴鎴戜滑"&gt;鑱旂郴鎴戜滑&lt;/a&gt;<br />
         &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
         &lt;a href="http://www.yinyuetai.com/links" target="_blank" title="鍙嬫儏閾炬帴"&gt;鍙嬫儏閾炬帴&lt;/a&gt;<br />
         &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
         &lt;a href="http://www.yinyuetai.com/article/4" target="_blank" title="鐗堟潈澹版槑"&gt;鐗堟潈澹版槑&lt;/a&gt;<br />
         &lt;span class="ico_line"&gt;&lt;/span&gt;<br />
         &lt;a href="http://www.yinyuetai.com/service/problem" target="_blank" title="瀹㈡湇涓績"&gt;瀹㈡湇涓績&lt;/a&gt;<br />
     &lt;/p&gt;

     &lt;p class="footer_copy"&gt;<br />
         Copyright &amp;copy; 2009 - 2014 yinyuetai.com 骞挎挱鐢佃鑺傜洰鍒朵綔缁忚惀 璁稿彲璇佺紪鍙?(浜?)瀛楃1891鍙? | &lt;a href="http://www.yinyuetai.com/cert" target="_blank"&gt;浜綉鏂嘯2014]2037-287鍙?&lt;/a&gt;<br />
         | &lt;a href="http://www.yinyuetai.com/permit" title="缃戠粶瑙嗗惉璁稿彲璇?0110413鍙?"&gt;缃戠粶瑙嗗惉璁稿彲璇?0110413鍙?&lt;/a&gt;&lt;br/&gt;<br />
         浜琁CP澶?11024134鍙?-1 | 浜琁CP璇?060716鍙? | 浜叕缃戝畨澶?110105014900 | 鍑虹増鐗╃粡钀ヨ鍙瘉 鏂板嚭鍙戜含闆跺瓧绗湞130062鍙? | 澧炲?肩數淇&prime;笟鍔＄粡钀ヨ鍙瘉B2-20140501<br />
         &lt;a href="http://www.hd315.gov.cn/beian/view.asp?bianhao=010202013092900002" target="_blank" class="positionImg"&gt;&lt;img src="http://s.yytcdn.com/images/biaoshi.gif" style="vertical-align: top; margin-top: -25px;"/&gt;&lt;/a&gt;<br />
     &lt;/p&gt;<br />
 &lt;/div&gt;<br />
 &lt;!-- End Footer --&gt;

 &lt;script type="text/javascript"&gt;<br />
     (function() {<br />
         var counter = 1;

         var timer = setInterval(function(){<br />
             counter = counter + 2;<br />
         }, 2000);

         if ($.toString().indexOf('fn') !== -1 || $.toString().indexOf('J.init') !== -1) {<br />
             $.ajax({<br />
                 url : 'http://gettime.yinyuetai.com/time?t='+new Date().getTime(),<br />
                 dataType : 'jsonp',<br />
                 success : function(data) {<br />
                     $(window).on('beforeunload', function() {<br />
                         clearInterval(timer);<br />
                         $.ajax({<br />
                             cache : false,<br />
                             async : false,<br />
                             type : 'post',<br />
                             url : '/onunload?start=' + counter + '&amp;date=' + data.time + '&amp;seconds=' + counter<br />
                         });<br />
                     });<br />
                 }<br />
             });<br />
         } else if ($.toString().indexOf('document.id') !== -1) {<br />
             new Request.JSONP({<br />
                 url : 'http://gettime.yinyuetai.com/time?t='+new Date().getTime(),<br />
                 onComplete : function(data) {<br />
                     $(window).addEvent('beforeunload', function() {<br />
                         clearInterval(timer);<br />
                         new Request({<br />
                             method : "post",<br />
                             async : false,<br />
                             noCache : true,<br />
                             url : '/onunload?start=' + counter + '&amp;date=' + data.time + '&amp;seconds=' + counter<br />
                         }).send();<br />
                     });<br />
                 }<br />
             }).send();<br />
         }<br />
     })();<br />
 &lt;/script&gt;<br />
 &lt;script type="text/javascript"&gt;<br />
     (function() {<br />
         var urls = window.TRACK_SHOW;<br />
         if (!urls || !urls.push) {<br />
             urls = [];<br />
         }<br />
         urls.push("http://log.collect.yinyuetai.com/view-log?referUrl=" + document.referrer);<br />
         urls.push("http://log.collect.yinyuetai.com/page?referUrl=" + document.referrer);<br />
         for (var i = 0, len = urls.length; i &lt; len; i++) {<br />
             var url = urls[i];<br />
             if (url.indexOf("?") &lt; 0)<br />
                 url += "?" + (new Date()).getTime();<br />
             else<br />
                 url += "&amp;" + (new Date()).getTime();<br />
             document.write('&lt;img style="display: none;" width="1" height="1" src="' + url + '"&gt;');<br />
         }<br />
     })();<br />
 &lt;/script&gt;<br />
 &lt;script type="text/javascript"&gt;<br />
     (function(G, D, s, c, p) {<br />
         c = {<br />
             UA : "UA-yinyuetai-000001",<br />
             NO_FLS : 0,<br />
             WITH_REF : 1,<br />
             URL : "http://s.yytcdn.com/js/utils/iwt-min-yyt.js"<br />
         };<br />
         G._iwt ? G._iwt.track(c, p) : (G._iwtTQ = G._iwtTQ || []).push([c, p]), !G._iwtLoading &amp;&amp; lo();<br />
         function lo(t) {<br />
             G._iwtLoading = 1;<br />
             s = D.createElement("script");<br />
             s.src = c.URL;<br />
             t = D.getElementsByTagName("script");<br />
             t = t[t.length - 1];<br />
             t.parentNode.insertBefore(s, t);<br />
         }<br />
     })(this, document);<br />
 &lt;/script&gt;

 &lt;span style="display:none"&gt;

 &lt;script language="JavaScript"&gt;<br />
     &lt;!--<br />
     pagechoice_t_url = 'http://col.hztags.net/dap/www/delivery/hztags.php?random=' + ( Math.floor(Math.random() * 10000 + 1) );<br />
     document.write("&lt;img width='1' height='1' style='position: absolute' src='" + pagechoice_t_url + "'/&gt;");<br />
     //--&gt;&lt;/script&gt;<br />
 &lt;script src="http://s4.cnzz.com/stat.php?id=1330456&amp;web_id=1330456" type="text/javascript"&gt;&lt;/script&gt;

 &lt;script type="text/javascript"&gt;<br />
     window.YYTrev = "###revision###";<br />
     window.YYThostName = "BGP-LF-1RS1121";<br />
     window.YYTrequestStart = "1451479894035";<br />
     window.YYTrequestEnd = "1451479894665";<br />
     var uid1 = "awCxLrSY9aQEfpiPlzdbzKDJ";<br />
     var uid = null;<br />
     try {<br />
         uid = Y.Cookie.get("yinyuetai_uid");<br />
         if (uid == null) {<br />
             uid = uid1;<br />
         }<br />
         var ref = document.referrer || "";<br />
         if (uid != null &amp;&amp; uid.length &gt; 0) {<br />
             var masterUrl = "http://cm.admaster.com.cn/?tid=1635&amp;type=1&amp;uid=" + uid + "&amp;loc=" + encodeURIComponent(location.href) +<br />
                     "&amp;ref=" + encodeURIComponent(ref);<br />
             var img = new Image();<br />
             img.src = masterUrl;<br />
             img.width = 1;<br />
             img.height = 1;<br />
             //document.body.appendChild(img);<br />
         }

     } catch (ex) {}<br />
 &lt;/script&gt;

 &lt;script type="text/javascript"&gt;<br />
     (function() {<br />
         var csid = "F09828";<br />
         var bpid = "yinyuetai";<br />
         var e = document.createElement("script");<br />
         var s = document.getElementsByTagName("script")[0];<br />
         e.src = "//js.revsci.net/gateway/gw.js?auto=t&amp;csid=" + csid + "&amp;bpid=" + bpid;<br />
         e.async = true;<br />
         s.parentNode.insertBefore(e, s);<br />
     })();<br />
 &lt;/script&gt;<br />
 &lt;/span&gt;

 &lt;/div&gt;

 &lt;/body&gt;<br />
 &lt;/html&gt;

 http<br />
 //www.cnblogs.com/liuzhongfeng<br />
 www.cnblogs.com<br />
 null<br />
 www.cnblogs.com<br />
 -1<br />
 /liuzhongfeng<br />
 null<br />
 null<br />
 http//www.cnblogs.com/p/5084309<br />
 /p/5084309</pre>
</div>
</div>
<h3>2、URL和URLConnection</h3>
<p>　　1)、如果想要获取某个网页的html源代码，比如<a href="http://www.cnblogs.com/liuzhongfeng/" rel="external nofollow noreferrer">http://www.cnblogs.com/liuzhongfeng</a>&nbsp;则只需要:</p>
<p>　　　　(1)URL url = new URL("<a href="http://www.cnblogs.com/liuzhongfeng/" rel="external nofollow noreferrer">http://www.cnblogs.com/liuzhongfeng/</a>");</p>
<p>　　　　(2)Scanner in = new Scanner(url.openStream());</p>
<p>　　2)、当操作一个URLConnection对象时，注意以下内容：</p>
<p>　　　　URLConnection connection=url.openConnection();获得URLConnection对象。</p>
<p>　　　　connection.connect();连接远程资源</p>
<p>　　　　connection.getContentLength();</p>
<p>　　　　connection.getContentType();</p>
<p>　　　　connection.setDoOutput(true)获得输出流</p>
<p>　　　　connection.getOutputStream();</p>
<p>　　　　connection.getInputStream();</p>
<div>
<div>
<pre class="prettyprint linenums"> package socket;<br />
 import java.net.*;<br />
 import java.util.List;<br />
 import java.util.Map;<br />
 public class URLConnectionTest {<br />
     public static void main(String[] args)throws Exception{<br />
         String urlName="http://java.sun.com";<br />
         URL url=new URL(urlName);<br />
         URLConnection connection=url.openConnection();<br />
         Map&lt;String,List&lt;String&gt;&gt; map=connection.getHeaderFields();<br />
         for(Map.Entry&lt;String, List&lt;String&gt;&gt;entry:map.entrySet()){<br />
             String key=entry.getKey();<br />
             List&lt;String&gt;value=entry.getValue();<br />
             System.out.println(key+":"+value);<br />
         }<br />
     }<br />
 }</pre>
</div>
</div>
<div>
<div>
<pre class="prettyprint linenums"> Transfer-Encoding:[chunked]<br />
 X-Frame-Options:[SAMEORIGIN]<br />
 null:[HTTP/1.1 200 OK]<br />
 Server:[Oracle-Application-Server-11g Oracle-Web-Cache-11g/11.1.1.6.0 (TH;max-age=300+0;age=120;ecid=163913388711036,0:1)]<br />
 Access-Control-Allow-Origin:[*]<br />
 Connection:[Transfer-Encoding, keep-alive]<br />
 Date:[Wed, 30 Dec 2015 13:09:53 GMT]<br />
 Content-Language:[en]<br />
 Content-Type:[text/html; charset=utf-8]<br />
 X-Powered-By:[Servlet/2.5 JSP/2.1]</pre>
</div>
</div>
<p><strong>四、提交表单数据</strong></p>
<p>　　我们知道了如何从一个Web服务器读取数据。那么，程序如何又再将数据返回给Web服务器和那些被Web服务器调用的程序呢？通过程序脚本技术可以实现Web服务器对程序的调用。如Java Servlet、JavaServer Face等。</p>
<p>　　在向Web服务器发送信息时，通常用到两个命令：get和post</p>
<p>　　(1)、get方法是直接把数据跟在url的后面，以name=value进行传输，</p>
<p>每个数据之间用&amp;进行分割，value中的空格用+替换，非字母数字用%替换，并后跟两个16进制数，这种编码方式称为URL编码。URLEncoder和URLDecoder</p>
<p>　　(2)、post方法是通过URLConnection发送给服务器，编码方式和get一样。URLEncoder.encode(VALUE,"UTF-8");</p>
<p>一般在传输中文时会运用编码和解码。</p>
<p>具体的向服务器发送数据的过程：</p>
<p>　　1)、创建一个URLConnection对象。URL url=new URL(String);URLConnection connnection=url.openConnection();</p>
<p>　　2)、调用setDoOutput方法建立一个用于输出的连接。connection.setDoOutput(true);</p>
<p>　　3)、调用getOutputStream方法获得一个流。通过这个流可以向服务器发送数据。如果想要发送文本信息，可以将流包装在PrintWriter对象中。</p>
<p>　　　　即：PrintWriter out=new PrintWriter(connnect.getOutputStream());</p>
<p>　　4)、向服务器发送数据。out.print(name1+" "+URLEncoder.encode(value1,"UTF-8")+"&amp;");</p>
<p>　　5)、关闭输出流。out.close();</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/861394/201512/861394-20151230223630698-2006846460.png" /></p>
<div>
<div>
<pre class="prettyprint linenums"> package socket;<br />
 import java.io.*;<br />
 import java.net.*;<br />
 import java.nio.file.*;<br />
 import java.util.*;<br />
 public class PostTest {<br />
     public static void main(String[] args)throws IOException{<br />
         Properties props=new Properties();<br />
         try(InputStream in=Files.newInputStream(Paths.get(args[0]))){<br />
             props.load(in);<br />
         }<br />
         String url=props.remove("url").toString();<br />
         String result=doPost(url,props);<br />
         System.out.println(result);<br />
     }<br />
 public static String doPost(String urlString ,Map&lt;Object,Object&gt;nameValuePairs)throws IOException{<br />
     URL url=new URL(urlString);<br />
     URLConnection connection=url.openConnection();<br />
     connection.setDoOutput(true);<br />
     try(PrintWriter out=new PrintWriter(connection.getOutputStream())){<br />
         boolean first=true;<br />
         for(Map.Entry&lt;Object, Object&gt;pair:nameValuePairs.entrySet()){<br />
             if(first) first=false;<br />
             else out.print('&amp;');<br />
             String name=pair.getKey().toString();<br />
             String value=pair.getValue().toString();<br />
             out.print(name);<br />
             out.print('=');<br />
             out.print(URLEncoder.encode(value,"UTF-8"));<br />
         }<br />
     }<br />
     StringBuilder response=new StringBuilder();<br />
     try(Scanner in=new Scanner(connection.getInputStream())){<br />
         while(in.hasNextLine()){<br />
             response.append(in.nextLine());<br />
             response.append("/n");<br />
         }<br />
     }<br />
     catch(IOException e){<br />
         if(!(connection instanceof HttpURLConnection)) throw e;<br />
         InputStream err=((HttpURLConnection)connection).getErrorStream();<br />
         if(err==null)throw e;<br />
         Scanner in=new Scanner(err);<br />
         response.append(in.nextLine());<br />
         response.append("\n");<br />
     }<br />
     return response.toString();<br />
 }<br />
 }</pre>
</div>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/xq4zxgj9.html">Spring MVC篇一、搭建Spring MVC框架</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8zzjmn8.html">javascript-test1</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqdmdwxq.html">HLG2040二叉树遍历已知前中，求后</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlmmj2k9.html">WinForm 弹框确认后执行</a>
		</li>
						<li><a href="https://www.batexi.com/a/90vvlpm8.html">TWaver HTML5 &lpar;2D&rpar;----数据元素</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnkgrz8.html">codeforces 192b</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1vpj59.html">Sales&lowbar;item</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlmvl209.html">POJ 1423  Big Number</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7mwrxxq.html">git从指定的commit创建分支</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmvm5e9.html">cocos creater 简单的跳跃动作。</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1m3yd9.html">菜鸟的jQuery源码学习笔记（前言）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwd626k8.html">KMP字符串匹配</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1kzly69.html">alv 显示 汇总数据</a>
		</li>
						<li><a href="https://www.batexi.com/a/96p0v7j8.html">Ubuntu环境搭建1</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjlexl8.html">7&period; Shell 函数</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mej1rrq.html">Effective JavaScript ：第五章</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7z0zrg9.html">数据收集利器 cAdvisor - 每天5分钟玩转 Docker 容器技术（82）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eyzp1j9.html">WEB安全系列之如何挖掘任意用户登录漏洞</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pw5wmk8.html">Ubuntu Linux 解决 bash &period;&sol; 没有那个文件或目录 的方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2md3y9.html">django admim后台不转义提交的html</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qxkl0vz8.html">webView&period;loadUrl&lpar;&amp;quot&semi;file&colon;&sol;&sol;&sol;android&lowbar;asset&sol;table3&period;html&amp;quot&semi;&rpar;出现中文乱码的问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7zlxoj9.html">第2课 Linux操作系统简介</a>
			</li>
						<li><a href="https://www.batexi.com/a/9jzne3g8.html">通过 File API 使用 JavaScript 读取文件</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ojvv2eq.html">CSU 1515 Sequence</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7zlnlg9.html">jquery 改变变量出现值不同步</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7zln6x9.html">对AD域进行定期自动备份设置图解</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv1zkexq.html">android studio 更新失败解决办法</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv1zj6oq.html">Zend Framework Module之多模块配置</a>
			</li>
						<li><a href="https://www.batexi.com/a/qljnpwe9.html">javascript中的&lowbar;&lowbar;proto&lowbar;&lowbar;和prototype</a>
			</li>
						<li><a href="https://www.batexi.com/a/qy140lgq.html">python获取绑定的IP，并动态指定出口IP</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
